Ubuntu

[i915] blank screen on Latitude E6410 (NOT E6510)

Reported by Mathieu Trudel-Lapierre on 2010-04-12
406
This bug affects 71 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
Medium
Andy Whitcroft
Lucid
Medium
Chris Halse Rogers
Maverick
Medium
Unassigned

Bug Description

Binary package hint: xorg

NOTE: The E6410 and E6510 have different hardware. There's a bug with similar *symptoms* but a *different cause* on E6510+intel hardware, which is bug #600453.

During installation, bootup (plymouth) and while inside X, screen remains blank. Switching VTs yields no results (screen remains blank).

This was done with today's daily desktop image, amd64: 10.04 (20100412).

I've been able to isolate the issue to possibly somewhere in modesetting with the i915 driver, here are the tested cases:

 - Disabling modesetting with 'nomodeset' as a kernel parameter: boot messages visible in 'verbose', otherwise nothing on screen, X remains blank.
 - Disabling modesetting with 'i915.modeset=0' as a kernel parameter: results in a kernel oops, after briefly showing a simple "text" splash and showing corruption of that splash screen. X clearly never comes up, caps/scroll/num blink.
 - Disabling modesetting with 'nomodeset' and switching X drivers to 'vesa': nothing on screen during boot, up to a working, visible desktop.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xorg 1:7.5+5ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-20.29-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic x86_64
Architecture: amd64
Date: Mon Apr 12 16:14:04 2010
DkmsStatus: Error: [Errno 2] No such file or directory
GdmLog:
 Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log'] failed with exit code 1:
 (gksu:2847): Gtk-WARNING **: cannot open display: localhost:10.0
GdmLog1:
 Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1:
 (gksu:2851): Gtk-WARNING **: cannot open display: localhost:10.0
GdmLog2:
 Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1:
 (gksu:2855): Gtk-WARNING **: cannot open display: localhost:10.0
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100412)
Lsusb:
 Bus 002 Device 003: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor
 Bus 002 Device 002: ID 8087:0020
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0020
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Latitude E6410
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-20-generic root=UUID=be2ee00c-b05e-4412-84d5-fc61a62388de ro verbose
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
SourcePackage: xorg
Symptom: display
Xrandr: Error: command ['xrandr', '--verbose'] failed with exit code 1: Can't open display localhost:10.0
dmi.bios.date: 01/30/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: X51
dmi.board.name: RAMDEL
dmi.board.vendor: Dell Inc.
dmi.board.version: 0001
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrX51:bd01/30/2010:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rnRAMDEL:rvr0001:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6410
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] No such file or directory
setxkbmap: Error: command ['setxkbmap', '-print'] failed with exit code 255: Cannot open display "localhost:10.0"
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-20-generic
xdpyinfo: Error: command ['xdpyinfo'] failed with exit code 1: xdpyinfo: unable to open display "localhost:10.0".

Attached tar contains the logs with 'nomodeset', up to a blank screen with X running (though not visible).

Ameet Paranjape (ameetp) on 2010-04-12
Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Goalie Fight (goaliefight) wrote :

Same problem with the BETA2 Live CD.

Shomeir (shomeir) wrote :

I have a black screen on my Latitude D400 laptop when I update from Beta2 or do a clean install of 10.04 RC. I have had to reinstall Beta2 several times in the last few days as I have updated periodically to see if this bug has been fixed.

lostthetrail (lostthetrail) wrote :

I am getting a blank screen on live cd (10.04 LTS 32 bit) on a Dell Latitude E6410 (w/ Nvidia NVS 3100m). I am unsure if my issue is related, but it does seem to have the same system and end problem. Please let me know if I can check into anything that will help diagnose this issue.

Tim (tim-titley) wrote :

Seem to have a similar problem (same symptoms) with my Dell Latitude 510M. If there is any debugging info that may be helpful - let me know what and I'll post it here!

dbarnett (dhbarnett) wrote :

I'm having the same problem with an E6510 with the NVIDIA NVS 3100M. I'm glad to provide any uselful diagnostics. I tried installing a clean 10.04 as well as an upgrade from 9.10 (9.10 displayed fine), but after upgrade no display.

Tim (tim-titley) wrote :

I've installed again using the alternative cd (no graphics mode) and the install went okay. I then booted it using the recovery option (from grub) and chose the "resume" option which gave me a login prompt. I then used aptitude to remove gdm.

My laptop boots successfully to a login prompt. I can then login and try to run X using startx which causes the machine to lock up completely with a blank screen. (There isn't any response from the network - can't even ping.) I tried setting the various nomodeset and i915.modeset=0 kernel options (in all the combinations) to no avail. I even unloaded the i915 module and blacklisted it which made no difference.

This leads me to believe that it is not a problem with the i915 kernel module......

I then created a default xorg.conf (using Xorg -configure) and tried disabling all the modules, and setting various options again, to no avail. I'll keep you posted if I find anything.

Radek Dostal (radekdostal) wrote :

I have reproduced the bug with both Ubuntu 10.04 32-bit and 64-bit on Dell Latitude E6510 - Intel® HD Graphics + 15.6” FHD Wide View Anti-Glare LED Display (1920 x 1080)

Radek Dostal (radekdostal) wrote :

Possible workaround is to use Vesa drivers - add following into your boot parameters:
i915.blacklist=true xforcevesa

Douglas Berdeaux (berdeauxd) wrote :

@Radek - that works, i can confirm on a DELL e6410 with the NVIDIA 3100m, this works only with 9.10. When added to boot options in 10.04 system stays black/blank. (this was tested with install only environment and live environment). I have tried the last few versions of Ubuntu down to 8.x The system doesn't hang, but you cannot access any of the VT's by doing ALT+CTRL+F(x).

After installation of 9.10 with the boot parameters, GDM and Gnome load fine, but with poor graphics. Click "System" and click "Administration" Then "Drivers" and allow the computer to find the NVIDIA driver: 185.x Install it, by clicking "Activate" then reboot. The screen goes black once again. the NVIDIA drivers' installation will change the /etc/X11/xorg.conf to try to run "nv" drivers.

I ran nvidia-xconfig and the xorg.conf file changed, and rebooted, still black screen, and now no sound.

I noticed that X appears for a split second after i type "reboot" from the cli. I blacklisted i915 in /etc/modprobe.d/i915 and rebooted, which turned up a black/blank screen as well. If i hook up an external display to the VGA port, and hit Fn+F8 the screen shows up on the LCD, but the graphics are distorted like the GPU is bad??? After a few minutes of being plugged into the external display the computer halts completely.

I have tried many OS's, the only one that seemed to work out of the box was PCBSD with the 195.x NVIDIA drivers, so I reinstalled Ubuntu 9.10 with the blacklisted i915 and xforcevesa and did this, from a terminal:

wget ftp://download.nvidia.com/XFree86/Linux-x86/195.22/NVIDIA-Linux-x86-195.22-pkg1.run -O nvidia.sh && chmod +x nvidia.sh && ./nvidia.sh

and finally, it's fixed. This, once again, is for 3100m NVS nvidia E6410 Karmic.

@Tim your're right, it's most likely an out of date NVIDIA driver, not i915, and the xforcevesa simply bypasses the issue.

For Lucid, you can't even see the text at boot, so you may need to install the OS a different way and install the driver above in a chrooted environment from another machine possibly.

Tim (tim-titley) wrote :

If it is a NVIDIA issue, you should be able to force vesa initially, and then tell it to use the proprietary drivers (System->Administration->Hardware Drivers). I think those are pretty up to date........ although don't quote me on that!
I think that is essentially the supported way of doing what you have done.
My GPU is Intel, so unfortunately this won't work for me! If anyone fancies trying this method just to clarify (or has already tried it) that would be great!

lostthetrail (lostthetrail) wrote :

It appears my problem was solved by doing the following:

1) Use nomodeset on installation
2) Use nomodeset on GRUB boot command (removing quiet splash)
3) Upon booting, install the recommended hardware drivers.

Everything seems to work great now. Let me know if there is anything I can do to help get this fixed.

kiran (kiran-scalex86) wrote :

I have a dellE6410 with Nvidia 3100M, I just got it working doing the following :
1) Installed 10.04 with alternate media and no x
2) Use nouveau.modeset=0 on the GRUB boot command (if you have nvidia card graphics)
3) Upon booting into textmode install the working nvidia drivers
4) Modify /boot/grub/grub.conf to include nouveau.modeset=0 in the kernel commandline

I have the laptop working with X and wired network now.

botbanky (botbanky) wrote :

I have the Dell E6510 with Nvidia 3100M, and when using the 10.04 64-bit install CD the display hangs before any install screen appears. It simply sits blank.

Does anyone know of an official solution coming from ubuntu? Will they be updating the 10.04 distro with this issue addressed?

Aaron Hanson (aaronhanson) wrote :

I just got mine up and working basically following kiran's directions.

I used the alternate CD to do a regular install and then to do a rescue install, which I backed out of to get to the shell and change the grub boot options to create a text mode option (with the nouveau.modeset=0 as well). I also changed quiet splash to nosplash.

I booted up using the text mode option I created.

Then I installed this driver:
http://www.nvidia.com/object/linux-display-amd64-195.36.24.html

Updated 64 bit version of what Douglas had mentioned:
wget ftp://download.nvidia.com/XFree86/Linux-x86_64/195.36.24/NVIDIA-Linux-x86_64-195.36.24-pkg2.run -O nvidia.sh

The install gave me a warning that the preinstall script didn't work, but I took a look at it and all it does it fail so you don't overwrite the ubuntu packages, I continued anyways. I also let it reconfigure my settings and then rebooted and now it works.

After running all the updates, I modified the grub option again and after booting up I enabled the restricted driver from Ubuntu (looks like it's a couple sub versions back) and it works too.

My thinking is you might be able to just get away with adding the nouveau.modeset=0 and nosplash.

Now I just need to get my touchpad scrolling figured out. Also, I had to modify the right alt key in the keyboard layout, I switched it to the left win key instead.

Douglas Berdeaux (berdeauxd) wrote :

@Aaron are you using the E6410? I tried for hours to get the Touchpad working correctly, I tried Editing /etc/X11/xorg.config
changed from Mouse0 to Synaptics, added it to ServerLayout, Added 'Load "synaptics"'
created HAL file: /etc/hal/fdi/policy/shmconfig.fdi
enabled shared memory in my fstab
rebooted.. I have tried everything to get SHM to run that I could think of.

Nothing.

I installed gsnyaptics, but it will not run saying that I have to add "SHMConfig" "true" in the /etc/xorg.conf file, which it is and I thought about submitting a bug.

Aaron Hanson (aaronhanson) wrote :

Yes. I just got an E6410 with the nVidia 3100M and an i5. Not that it probably matters, but I chose the non-backlit keyboard.

I'm going to be playing around with it more this weekend. But for now I can get by without scrolling.

jlgoolsbee (jlgoolsbee) wrote :

I can confirm this behavior on an E6510 with Intel HD graphics. I realize this question was asked a couple days ago, but I need to ask it as well: will there be an official fix for this, and if so, when? My IT department is looking to switch my team to Dell hardware, and this is what they purchased for me to evaluate; if there's not going to be an official fix for this then I'd like to just know that now.

coldrol (hidegrol) wrote :

Thanks for the solution, it worked for me on E6410 with nvidia card.
After installed the driver from nvidia website it worked, but then I installed the kernel updates of course it didn't worked. Then I uninstalled the preveious installed nvidia driver and reinstalled it from the ubuntu repo (System/Administration/Hardware Drivers).

I think now I can upgrade the kernel flawlessly.

This bug is about the i915 driver specifically, not the E6410 that has a nvidia card. If you have a nvidia card and *only* if you use the open source default driver "nouveau", please refer to bug 556872.

If the issue you are experiencing is not related to the display being blank on an Intel-chipset based Latitude E6410, please file new bugs rather than adding information here, so that the issues can be resolved as soon as possible.

I figured out a pretty easy way to get the video up and running on a Latitude E6510 with NVIDIA NVS 3100m:

1. Attach an external monitor to the port on the back of the machine.
2. Install Ubuntu using the Alternate Install CD.
3. When you reboot into Ubuntu, your desktop will display on the external monitor (in my case, with the right third of the desktop missing).
4. Activate the Nvidia driver via System>Administration>Hardware Drivers.
5. Reboot (in my case, since I couldn't see the right portion of the desktop I had to open Applications>Accessories>Terminal and enter "sudo shutdown -r now").
6. When the machine reboots, your laptop display should be working properly.
7. (optional) Use System>Administration>NVIDIA X Server Settings to configure your external monitor and save the settings to the new X Configuration file. I had to log out and log back in for the Gnome panels to show up on the laptop display instead of the external monitor.

Oops, sorry, Mathieu, I see that my procedure is not actually for this bug.

Does anyone know of an existing bug for the E6510 with NVIDIA NVS 3100m? I did a quick search and didn't see one. I'd like to post this info to an existing bug if possible before I go ahead and create a new one.

Douglas Berdeaux (berdeauxd) wrote :

@Todd Boss: It's here: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/556872

I tried an external monitor and the graphics completely locked up, so for me that wasn't an option. The CAPs lock key still worked and usually on kernel panic my CAPs NUM lock lights blink in unison; this wasn't the case.

Diego Schulz (dschulzg) wrote :

I'm experiencing exactly the same issue with a Latitude E6510 with Intel integrated graphics.

Does anyone knows if this issue is fixed in 10.10 in development?

Chris -

This issue seems to be rather lingering. Could you please see if there is something we should be doing to fix this for users?

Changed in xorg (Ubuntu Lucid):
assignee: Canonical Desktop Team (canonical-desktop-team) → Chris Halse Rogers (raof)
Diego Schulz (dschulzg) wrote :

After installing I modified /etc/default/grub

from

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

to

GRUB_CMDLINE_LINUX_DEFAULT="nomodeset quiet xforcevesa"

And now I can at least use my laptop without windows, wich of course was a pleasure to get shredded and wiped from the hard disk.

Marcelo Barros (marcelobarros) wrote :

I had the same problem. I am using a Dell E6410 with Intel integrated graphics (cited as i915 by lspci). No nvidia in this case. ubuntu is 10.04, alternate.

It was possible to boot in console mode (security mode) using "nomodeset". xforcevesa did not work or even blacklist for i915.
If I added "nomodeset" (normal boot), it was possible to see the console messages but when the X started I had a blank screen and caps lock/num lock started to blink.

When I added i915.modeset=0 as kernel option I was able to boot the system (kernel 2.6.32-21). I had some hiccups at X startup and some messages related to misconfiguration but it worked.

I tried the latest kernel/intel driver following tips from user´s forum (http://ubuntuforums.org/showthread.php?t=1475128) but downloading the latest available kernel (2.6.35-rc1):

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update && sudo apt-get install xserver-xorg-video-intel

from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-rc1-lucid/, I downloaded and installed the following packet (using wget or similar tool):

linux-image-2.6.35-020635rc1-generic_2.6.35-020635rc1_i386.deb
linux-headers-2.6.35-020635rc1_2.6.35-020635rc1_all.deb
linux-headers-2.6.35-020635rc1-generic_2.6.35-020635rc1_i386.deb

It was necessary to add "i915.modeset=0" as kernel parameters, as cited before. To make this change permanent, do the following:

echo options i915 modeset=0 | sudo tee /etc/modprobe.d/i915-kms.conf
sudo update-initramfs -u

But, same behavior, so it is not necessary to upgrade.
I think I need to create a proper xorg.conf now to avoid all warning messages that I am receiving at X startup.

Marcelo Barros (marcelobarros) wrote :

Side effect: don´t switch to terminal using ctrl+alt+f1 or you will not be able to switch back using alt+f7

SF Basilix (sf-basilix) wrote :
Download full text (3.5 KiB)

I am having the same issue with my laptop. It is a Dell E6510 with an Intel Core i5 chip and with the Intel graphics (not nvidia). Vanilla install of Ubuntu 10.04 with all patches applied (up to date as of posting) and I cannot use the external video display. Upon plugging in an external monitor using the VGA adapter and then going into System->Preferences->Monitors, I get a black screen and no mouse movements at all. Even CTRL+ALT+BKSP doesn't kick me out of X.

I've tried all of the above options and they did not work.

Here is more info to help diagnose the problem, if anyone needs anything else, please let me know and I will post.

System has latest A03 bios but it did the same thing with A01 and A01.1 bios revisions

$ lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 05)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 05)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
02:00.0 Network controller: Intel Corporation WiFi Link 6000 Series (rev 35)
03:00.0 CardBus bridge: Ricoh Co Ltd Device e476 (rev 02)
03:00.1 SD Host controller: Ricoh Co Ltd Device e822 (rev 03)
03:00.4 FireWire (IEEE 1394): Ricoh Co Ltd Device e832 (rev 03)
3f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
3f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
3f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
3f:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
3f:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
3f:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

$ xrandr
Screen 0: minimum 320 x 200, current 1600 x 900, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
DP1 connected 1600x900+0+0 (normal left inverted right x axis y axis) 344mm x 1...

Read more...

SF Basilix (sf-basilix) wrote :

forgot to note that the above happened on both 32 bit and 64 bit distros...

SF Basilix (sf-basilix) wrote :

I just realized that the op has a separate issue - similar to the one I have, but not the same. I'm debating opening a separate bug for the issue I have.

SF, please don't hesitate to open a new bug report (and use ubuntu-bug to do
so) and report here with the bug number so that we can look at your issue
and so that it can be fixed as well.

On Jun 18, 2010 10:55 AM, "SF Basilix" <email address hidden> wrote:

I just realized that the op has a separate issue - similar to the one I
have, but not the same. I'm debating opening a separate bug for the
issue I have.

-- [lucid] [i915] blank screen on Latitude E6410
https://bugs.launchpad.net/bugs/561802 You receiv...

Status in “xorg” package in Ubuntu: Triaged Status in “xorg” source package
in Lucid: Triaged

Bug description: Binary package hint: xorg During installation, bootup
(plymouth) and while inside ...

Since others in this bug may not have seen it and it would have saved me some Googling, the commit in http://lists.freedesktop.org/archives/intel-gfx/2010-May/006948.html seems to be the source of the problem. After reverting that commit, an otherwise vanilla 2.6.34 kernel works for me on an E6510 with the i915 driver.

libretto (c-hentschel) wrote :

I can confirm the same problem on my new E6410 w/Intel graphics card. All hints here helped me installing 10.04 (kubuntu) using the alternate amd64-cd und updating the system in a recovery shell. But trying to restart in normal mode always results in a black screen with blinking nun/caps lock leds even nomodeset or whatever was mentioned above doesn't help.

Starting with i915.blacklist=true xforcevesa results in a pink screen and text VT showing alternaty for 10-15 seconds. After that there is a black screen again but w/o blinking leds. Althoung hitting the caps lock key does not change the led state the system make a shutdown when pressing the off button. So vesa does not work, too.

So there is no chance to get it running now? :-(

Yingying Zhao (yingying-zhao) wrote :

@libretto - Would you please try the attached patch? I don't have E6410, but this patch should deliver a fix for this blank screen issue on E6410.

tags: added: patch
Steven Yelton (steveny) wrote :

I have the same issue with my dell E6510. I am in the process of rebuilding the kernel with the patch in #36, but for now I was able to get the 'intel' driver working by using the mainline-kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32.13-lucid/

Steven Yelton (steveny) wrote :

@Yingying Zhao - my E6510 booted fine using the intel driver with your patch applied

Chris Halse Rogers (raof) wrote :

Moving to the kernel source package, as this will require a kernel patch.

The patch attached to this bug seems to be superseded by this commit on the for-linus branch of drm-intel: http://git.kernel.org/?p=linux/kernel/git/anholt/drm-intel.git;a=commit;h=fe27d53e5c597ee5ba5d72a29d517091f244e974

affects: xorg (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
tags: added: xorg-needs-kernel-fix
tags: added: kernel-graphics

Dave Airlie kept working and produced this improved patch:

http://git.kernel.org/?p=linux/kernel/git/anholt/drm-
intel.git;a=commit;h=fe27d53e5c597ee5ba5d72a29d517091f244e974

This is the only patch that fixes the problem on my Dell Latitude E6510. I applied it to vanilla 2.6.34 from upstream and now I have KMS and compiz working.

Thanks Andrew, I also noticed that patch and thought it might fix the issue, thanks for getting it tested.

tags: added: kernel-needs-review
rlcohen70 (rlcohen70) wrote :

How do you install or copy.edit Andrew's patch.
Newbie to Ubunutu...

Steve Conklin (sconklin) wrote :

This could possibly be a duplicate of bug 585651 and others (but do not flag as a dupe yet).

The steps to take now are:

1. Test the current Lucid proposed kernel. There isn't anything new in that kernel likely to fix this, but we need to test for completion.

2. Cherry pick the patch above into that kernel, and test again.

The current Lucid proposed kernel is available from:

git://kernel.ubuntu.com/ubuntu/ubuntu-lucid.git

Anyone providing a test kernel with this patch please update both bugs and ask for testing

rlcohen70 - what this requires is building a new kernel with that patch - we don't really have a good wiki guide for that yet, it's on the list of things to do.

tags: added: kernel-reviewed
removed: kernel-needs-review
Steve Conklin (sconklin) wrote :

I'm, building a test kernel with this patch, I'll update when it's available

Jan Nekvasil (jan-nekvasil) wrote :

I'm experiencing (probably) this bug with suspend/resume or plugging external monitor on HP EliteBook 8440p in Lucid. When system wakes up, everything works, only the screen remains black. Xrandr detects laptop display as connected DP1 both before the suspend and after the wakup. Further playing with xrandr reports no displays at all.

Both suspend/resume and plugging external monitor works from Maverick Alpha 2 live CD, but surprisingly not from the same installed system. Xrandr in that case detects laptop display as connected DP1 before the suspend; and disconnected DP1 and connected DP4 after the wakeup. It's possible to turn on the display with "xrandr --output DP1 --auto" later (which doesn't works in Lucid).

Steve Conklin (sconklin) wrote :

Here are test kernels with the upstream patch associated with the closure of this upstream bug:

https://bugs.freedesktop.org/show_bug.cgi?id=28070

Please test and see if it helps.

http://people.canonical.com/~sconklin/i915_blank/

Steve

Changed in linux (Ubuntu Lucid):
status: Triaged → In Progress
SF Basilix (sf-basilix) wrote :

Mathieu Trudel wrote On June 20, 2010 "Mathieu Trudel" wrote

SF, please don't hesitate to open a new bug report (and use ubuntu-bug to do
so) and report here with the bug number so that we can look at your issue
and so that it can be fixed as well.

On Jun 18, 2010 10:55 AM, "SF Basilix" wrote:

I just realized that the op has a separate issue - similar to the one I
have, but not the same. I'm debating opening a separate bug for the
issue I have.

-- [lucid] [i915] blank screen on Latitude E6410
https://bugs.launchpad.net/bugs/561802 You receiv...

The bug I opened is 596080, found here:

https://bugs.launchpad.net/ubuntu/+bug/596080

Thanks!

I am using a Dell Latitude e6510 since May 2010 that I ordered to Dell with Ubuntu on it. When the laptop arrived, Ubuntu 9.10 was not working.
Anyway I was going to install Kubuntu 10.4 (64bits).
On the first install I had to use an external display in order to install it and to be able to upgrade my newly installed Kubuntu. Here I was able to activate the Hardware Driver for the NVIDIA graphic card.
This allow me to work under Kubuntu.

But I notice the following:
- Sometime, I need to restart the laptop in order to get to the authentication form (I have 8 Go and I think this may be badly handle),
- Then, when I manage to open Kubuntu, If I leave it under sleep or worse hibernation two times, then on the wake-up process, my Kubuntu will restart loosing the Network management stuff. I am then unable to browse the web, or to re-install the network-management package.

I hope this may help you explaining things.
I would love to contribute more regarding this.

Thanks!!

Another temporary workaround is simply to fall back to the VESA driver which works with every video card, but disables acceleration.

i. If you cannot install Ubuntu, use the alternate install cd

ii.a. If you cannot boot into the installed Ubuntu system without getting a blank screen, use the recovery mode (which is chosen in grub after holding down the shift key during boot) but edit ('e') the kernel parameters, adding i915.blacklist=true to the end. Then boot (Ctrl-X)

ii.b. Another way to get it to boot is to use a live cd, like RescueCD (http://www.sysresccd.org/Main_Page), mount the hard drive and edit boot/grub/grub.cfg manually

1. Edit the file /etc/default/grub to read
GRUB_CMDLINE_LINUX="i915.blacklist=true"

2. Run update-grub

3. Create a file named /usr/lib/X11/xorg.conf (which doesn't normally exist in Ubuntu) and write in it:
Section "Device"
 Identifier "Configured Video Device"
 Driver "vesa"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

(this text is included in Ubuntu under the file /etc/X11/xorg.conf.failsafe though it is not used)

Steve Conklin (sconklin) wrote :

The version 4 patch is in Linus's repo but not in stable yet or queued for stable afaict.

Keith Allcock (keith-allcock) wrote :

Hi,

I have just resurrected a Inspiron 510m which has this issue.
As it sounds like the issue is diagnosed and patched, is this likely to be sorted soon ?

Hi,

I tried the version 4 of the patch on my Dell E5410, but it didn't solve the problem. However the patch at http://kernel.ubuntu.com/~manjo/lucid/lp578673/ got 99% of the way to a fix. The only issue was that my display resumed with the backlight off, so simply pressing the button combination on my keyboard to increase the backlight level did the trick.

Hope this helps.

Hankyone (hankyone) wrote :

Hello,

Without the Nvidia drivers installed the fix still does not work (and neither does the lp578673 patch).

Chris Halse Rogers (raof) wrote :

If your laptop has an nVidia card in it then you are *not* seeing this bug.

There are many, many ways to get a blank screen, and these are almost always hardware dependent.

Alex Gosse (agosse-rvbd) wrote :

I've been doing some testing using a docking station and a E6410. The DVI port works fine (?) - but with all of the kernels I've seen in this thread I still get crashes when the VGA port is connected.

Manoj Iyer (manjo) wrote :

Can someone please test kernel in http://kernel.ubuntu.com/~manjo/lucid/lp561802/

This kernel has a backport of patch from upstream SHAID fe27d53e5c597ee5ba5d72a29d517091f244e974 that was reported to fix this issue(561802). What is confusing is that the kernel in http://kernel.ubuntu.com/~manjo/lucid/lp578673/ does not contain this path yet it was reported in comment #53 that this kernel fixed the issue(561802) reported in this bug. I would like to clear this confusion. If this SHAID indeed fixes this issue, I need to send this patch to stable@kernel and then SRU for Lucid. I really appreciate your help.

On 04/08/10 00:42, Manoj Iyer wrote:
> Can someone please test kernel in
> http://kernel.ubuntu.com/~manjo/lucid/lp561802/
>
> This kernel has a backport of patch from upstream SHAID
> fe27d53e5c597ee5ba5d72a29d517091f244e974 that was reported to fix this
> issue(561802). What is confusing is that the kernel in
> http://kernel.ubuntu.com/~manjo/lucid/lp578673/ does not contain this
> path yet it was reported in comment #53 that this kernel fixed the
> issue(561802) reported in this bug. I would like to clear this
> confusion. If this SHAID indeed fixes this issue, I need to send this
> patch to stable@kernel and then SRU for Lucid. I really appreciate your
> help.
>
>
Manoj,

I've just given it another shot this morning using the above kernel and
my system still locked up after connecting the vga port and running xrandr.

As far as I can tell I've installed the kernel correctly. The md5sums
from the files in the deb package match the ones from the files that get
installed to /boot/ - and I've set that kernel as the default choice in
the grub menu. Bit of a n00b question I know, but how can I be sure
that I *am* actually running the above kernel? Uname output is:

<bla> 2.6.32-24-386 #38 SMP Thu Jul 8 21:22:46 UTC 2010 i686 GNU/Linux

I just want to make sure that I'm not giving you a false negative. :-)

Alex

Manoj, the kernel in http://kernel.ubuntu.com/~manjo/lucid/lp561802/ gives me a blank screen on boot, but I can hear the gdm drums and I can login using the keyboard.

The kernel in http://kernel.ubuntu.com/~manjo/lucid/lp578673/ does work, but it does not fix the suspend/resume bug reported here https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673. I know it's weird, for most people who commented on that bug this kernel did fix the problem.

JFYI, the latest drm-intel-next kernels (2.6.35-997 and 999) also give me a blank screen on boot under lucid, but Carlos Parra Camargo confirms that they do work under maverick. Seems like a very weird issue.

This is on a latitude E6510 with an intel core i5 chip with intel integrated graphics running lucid.

Thanks for your help.

On 04/08/10 08:45, Alex Gosse wrote:
> On 04/08/10 00:42, Manoj Iyer wrote:
>
>> Can someone please test kernel in
>> http://kernel.ubuntu.com/~manjo/lucid/lp561802/
>>
Big oops on my part - I was in fact using the wrong kernel. I can
confirm that the kernel at
http://kernel.ubuntu.com/~manjo/lucid/lp561802/ works for me. I no
longer get hangs on boot when an external display is connected through
the vga port.

Now I just need to figure out what to do with the DP2VGA adapter I just
ordered. ;-S

Hope this helps,
--
Alex

Corona (stefaniefauconnier) wrote :

I forgot to mention that I'm running 32bit.

On 04/08/10 09:06, Alex Gosse wrote:
> On 04/08/10 08:45, Alex Gosse wrote:
>
>> On 04/08/10 00:42, Manoj Iyer wrote:
>>
>>
>>> Can someone please test kernel in
>>> http://kernel.ubuntu.com/~manjo/lucid/lp561802/
>>>
>>>
> Big oops on my part - I was in fact using the wrong kernel. I can
> confirm that the kernel at
> http://kernel.ubuntu.com/~manjo/lucid/lp561802/ works for me. I no
> longer get hangs on boot when an external display is connected through
> the vga port.
>
The plot thickens. I got home from work (after working all day with my
samsung lcd running off the vga port on the docking station - which
wasn't working before) to find problems with my cheap-as-chips chi-mei lcd.

The machine booted OK with the above kernel. But at the login screen,
the external monitor displayed an error saying "out of range" (instead
of the "no device connected" message). Attempting to log in to the box
caused gdm/X to crash and I was sent back to the greeter screen.

I disconnected the monitor, logged in, reconnected the monitor, ran
xrandr and the original system lock reared its ugly head once again.

Is there any log information that you need? I'm running a Latitude E6410.

Alex

Alex, if you do apport-collect 561802 it should collect the right logs for you.

Manoj Iyer (manjo) wrote :

PLEASE NOTE: This bug is related to E6410 only. If you have problems with E6510 (my understanding is that they are difference in the hardware), please report a separate bug or submit your logs to an existing bug on E6510 with the same symptoms.

Manoj Iyer (manjo) wrote :

Alex, can you please use boot parameters drm.debug=14 log_buf_len=16M and recreate your vga crash issue? I will also need the files under /var/log/gdm/*

Manoj Iyer (manjo) wrote :

Alex, forgot to mention, please do that as a separate bug report.

On 04/08/10 20:39, Manoj Iyer wrote:
> Alex, forgot to mention, please do that as a separate bug report.
>
>
New bug opened:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/613615

Will get your drm debugging and gdm log files at some point tonight or
early tomorrow.

Alex

Lucid kernel with patch:
http://kernel.ubuntu.com/~manjo/lucid/lp561802/

Stable kernel with patch:
http://kernel.ubuntu.com/~manjo/lucid/lp561802/stable.2.6.34.y/

If you can please test that and confirm I can propose this upstream patch for stable inclusion.

James Ferguson (jamesf) wrote :

The 2 kernels in #69 both work nicely.

On 06/08/10 18:11, Manoj Iyer wrote:
> Lucid kernel with patch:
> http://kernel.ubuntu.com/~manjo/lucid/lp561802/
>
> Stable kernel with patch:
> http://kernel.ubuntu.com/~manjo/lucid/lp561802/stable.2.6.34.y/
>
> If you can please test that and confirm I can propose this upstream
> patch for stable inclusion.
>
>
Strangely, this works on one screen but not the other. I've just
reproduced the crash again running
linux-image-2.6.32-24-generic_2.6.32-24.39~lp561802manjo1_i386.deb - but
i'm sure it was working fine in the office. This screen works on this
very same laptop running windows7 - so I know it isn't the screen.

I've applied those debug parameters, do you want me to apport-collect
561802 or should I throw it in 613615?

Alex

Hi,

I am running an E6410 with Intel Graphics:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

I have installed 10.04 64bit using the alternate installer without any problems and without the need for any quirks.

The system is booting normally and showing normal screen output using the standard Lucid linux-image-2.6.32-24-generic.

Using Manojs Kernel from http://kernel.ubuntu.com/~manjo/lucid/lp561802/ the system show just a blank screen on boot.

Confused,
Christoph

Yves Marcoz (yves-marcoz) wrote :

Here is my experience with E6410 with Intel Graphics:
With kubuntu 10.04 current kernel (2.6.32-24-generic):
- Laptop installs and boots correctly. I can attach the VGA screen after boot and get it working fine.
- But if I boot with the VGA screen plugged in, it "crashes" (screens remain black, and has to be powered off for restart)

With linux-image-2.6.32-24-generic_2.6.32-24.39~lp561802manjo1_amd64.deb:
- The DP1 screen (laptop screen) always stays black, with or without an external screen. With VGA plugged in, the display sets up there. XRandR can see and configure the DP1 screen, but it remains black even though it acts as working (mouse can interact with windows there)

James Ferguson (jamesf) wrote :

I have confirmed a second time that both kernels from comment #69 allow the system to show a display properly:

> Lucid kernel with patch:
> http://kernel.ubuntu.com/~manjo/lucid/lp561802/

Confirmed good

> Stable kernel with patch:
> http://kernel.ubuntu.com/~manjo/lucid/lp561802/stable.2.6.34.y/

Confirmed good

----

My process was to boot a vanilla system with 'nomodeset xforcevesa' and vesa in xorg.conf just to get a display, then install the new kernel and remove these parameters from /etc/default/grub, update-grub, and remove /etc/X11/xorg.conf. Rebooted, checked /proc/cmdline for removal of above params, confired vesa driver not in use.

Manoj Iyer (manjo) wrote :

SRU JUSTIFICATION
================
During installation, bootup (plymouth) and while inside X, screen remains
blank. Switching VTs yields no results (screen remains blank). This patch
is required to fix this issue

papukaija (papukaija) on 2010-08-15
summary: - [lucid] [i915] blank screen on Latitude E6410
+ [i915] blank screen on Latitude E6410

I have a DELL E6510 notebook which has an Intel integrated graphics card (not NVIDIA); the processor is Intel i7. I can boot into X using the RC6 2.6.35 kernel, but not the 2.6.35 kernel. I run Ubuntu Linux 10.04 64 bits. The following kernel works for me:

linux-image-2.6.35-020635rc6-generic

However, I get a blank screen when I boot using

linux-image-2.6.35-14-generic (which is 2.6.35-14.20~lucid2)

I tried to boot Ubuntu Linux 10.10 alpha 3 (64 bits) from the Live CD, but I got a blank screen.

Francisco (note this is a private mail),

> The following kernel works for me:
>
> linux-image-2.6.35-020635rc6-generic
>
> However, I get a blank screen when I boot using
>
> linux-image-2.6.35-14-generic (which is 2.6.35-14.20~lucid2)

Same for me. Note however that this thread is for the e6410. I could
make things mostly work, but not completely. Notably I cannot:

- Hibernate (would not hibernate), but I am living with suspension.
- Connect an external monitor.

For the former I am using this (just the first half) together with the
linux-image-2.6.35-020635rc6-generic kernel:

===========================================================================
Workaround:
-Use kernel 2.6.35 from ppa:kernel-ppa/ppa
-add acpi_sleep=s3_bios to the Grub commandline
-delete /usr/lib/pm-utils/sleep.d/99video and /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler
-----------------------------------------------------------
I can confirm henk's workaround (#54) using:
- linux-image-2.6.35-7-generic (2.6.35-7.12 from ppa:xorg-edgers)
- Add at grub: i915.modeset=1 acpi_sleep=s3_bios
- deleting 99video and 98video-quirk-db-handler from (/usr/lib/pm-utils/sleep.d/).
===========================================================================

For the latter, apparently the latest intel-drm-next kernels work, but
they have been backported only to Maverick (and it seems they don't talk
with the intel HD ABI in lucid). If you find anything for this, will be
immensely grateful.

--
+------------------------------------------------------------------------------+
| Manuel Carro --- Facultad de Informática -- U. Politécnica de Madrid (UPM) |
| Campus de Montegancedo --- E-28660 Boadilla del Monte --- Spain |
| Phone: +34-913363747 --- FAX: +34-913363669 |

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed

Installed Lucid 10.04, enabled -proposed and installed every update. Still no video.

Francisco Cribari (cribari) wrote :

I believe this bug is related to the following bug:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/600453

Please, note the kernel patch mentioned in #4 (Andrew Klossner).

Robert Muck (robertmuck) wrote :

I enabled proposed updates and I do not see any packages in Update Manager that address this issue. Is it there? Maybe only there for 64 bit?

Regards

Franz (franz.pammer) wrote :

Yesterday, I'v got a net Notebook Dell Latitude E6510 with Intel GPU.
I have installed maverik (10.10) Alpha-3, with the latest updates
Kernel: 2.6.35-16-generic
and I have also the Blank Screen, the VESA workaround works!
But i hope, there is a solution, when maverick will be released

Regrds

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Kernel 2.6.35-17.23~lucid1 also boots to a blank screen (Ubuntu 10.04 64 bits, DELL Latitude E6510 Intel integrated graphics, processor i7).

Ben Nickell (nickbenj) wrote :

I don't see updated packages in lucid-proposed
Am I looking for a kernel package?

Eliyahu (eliyahud) wrote :

I just switched to the main repos and saw the update. I've tried suspend and resume on the new kernel on my E6410 and it seems to work. There's still one problem - coming back from suspend, the laptop's LCD brightness is set to the minimum, so that the login screen is barely visible. I need to use the Fn brightness keys to readjust it.

Is anyone else experiencing this? My BIOS is on default settings for LCd brightness, and this is a clean 10.04 64 install. Is there maybe a workaround in X?

Francisco Cribari (cribari) wrote :

Which package should we update (and how)? Could you please be specific? Many thanks.

Eliyahu (eliyahud) wrote :

Follow the directions linked by Martin Pitt in #83. Reload the package list and install the latest linux-image. In the comments you can see this bug referenced. It could be that it didn't propagate to the other mirrors yet, so use "Main Server" in software sources.

Francisco Cribari (cribari) wrote :

I enabled "proposed" and chose "Main server". I upgraded the 2.6.32 kernel to 2.6.32-24.42. However, my notebook (DELL E6510, processor i7, Intel integrated graphics) still boots to a blank screen using this kernel. I can only boot to X using kernel 2.6.35 RC6. Am I missing something? Thanks again.

Francisco Cribari (cribari) wrote :

Aditional info: The kernel (boot/grub) options I use are "quiet splash acpi_sleep=s3_bios". I installed linux-image-2.6.32-24-generic (2.6.32-24.42) and the corresponding linux-header files (using: proposed, main server). I still boot to a blank screen (unless I boot w/ 2.6.35 RC6).

Ben Nickell (nickbenj) wrote :

Dell E6410, installed 2.6.32-24.42 will boot, but hard lockup (sometimes kernel panic) when starting X without and xorg.conf using the VESA driver.

Francisco Cribari (cribari) wrote :

Tried kernel 2.6.35-18.24~lucid1. It also boots to a blank screen. (DELL 6510, i7, Intel GPU.)

Martin Pitt (pitti) on 2010-08-24
tags: added: verification-failed
removed: verification-needed
Francisco Cribari (cribari) wrote :

I was able to boot into X using kernel 2.6.35 RC6. What happened after RC6? Anyway, the kernel patch mentioned in #4 in

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/600453

seems to work.

Francesco,

> I was able to boot into X using kernel 2.6.35 RC6. What happened after
> RC6? Anyway, the kernel patch mentioned in #4 in
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/600453
>
> seems to work.

My best bet so far has been to download the drm-intel kernel from the
git repository (instructions at
http://intellinuxgraphics.org/download.html), change the function intel_dp_dpms
at drivers/gpu/drm/i915/intel_dp.c as follows:

diff --git a/drivers/gpu/drm/i915/intel_dp.c b/drivers/gpu/drm/i915/intel_dp.c
index 9caccd0..21c0dd7 100644
--- a/drivers/gpu/drm/i915/intel_dp.c
+++ b/drivers/gpu/drm/i915/intel_dp.c
@@ -896,7 +896,7 @@ intel_dp_dpms(struct drm_encoder *encoder, int mode)
  if (mode != DRM_MODE_DPMS_ON) {
   if (IS_eDP(intel_dp) || IS_PCH_eDP(intel_dp)) {
    ironlake_edp_backlight_off(dev);
- ironlake_edp_panel_off(dev);
+ // ironlake_edp_panel_off(dev);
   }
   if (dp_reg & DP_PORT_EN)
    intel_dp_link_down(intel_dp);

(i.e., just comment out one line), cofigure it WITHOUT "staging" device
drivers (some of them do not compile cleanly), compile and install.
Note that you will have to make an init ram disk by yourself. With
this my E6510, Intel HD

- Boots without problems in graphical mode.

- Suspends and restarts (I have been using it with this kernel only for
  one day, but w.o. issues so far).

- Can connect to an external monitor w.o. freezing - VERY important for
  me, as I have to teach.

Hope this helps!

--
+------------------------------------------------------------------------------+
| Manuel Carro --- Facultad de Informática -- U. Politécnica de Madrid (UPM) |
| Campus de Montegancedo --- E-28660 Boadilla del Monte --- Spain |
| Phone: +34-913363747 --- FAX: +34-913363669 |

Many thanks, Manuel, but I am afraid this is beyond me, ie, I wouldn't be able to implement the solution. Would you know if this fix will make it into the 10.10 release?

> Many thanks, Manuel, but I am afraid this is beyond me, ie, I wouldn't
> be able to implement the solution. Would you know if this fix will make
> it into the 10.10 release?

I do not know. If I understood correctly, it seems that the line I
removed to get it working (which I took from another bug tracking web
page) is necessary for some E6510 and hurts other E6510s (mine, for
example). I think that kernel 2.6.35 is the base for 10.10, and so far
I have not seen any post-rc6 version working in my laptop, let alone one
where the external monitor also works, which is must for me. Therefore
I decided to compile a it myself.

--
+------------------------------------------------------------------------------+
| Manuel Carro --- Facultad de Informática -- U. Politécnica de Madrid (UPM) |
| Campus de Montegancedo --- E-28660 Boadilla del Monte --- Spain |
| Phone: +34-913363747 --- FAX: +34-913363669 |

I have confirmed this fix on a Dell E6410. There are separate fixes for the E6510 which are still being addressed:

https://bugs.freedesktop.org/show_bug.cgi?id=29278

catsdogs (catsdogs) wrote :

I have a Dell E6410 and had to ditch Ubuntu 10.04 64-bit for 10.10 alpha 3 (and I'm not particularly happy about my present situation!).

I am unable to follow the process of patching the kernel - Chris Van Hoof (#97), how did you go about applying the fix? What is 'this fix' that you refer to? Can someone please provide me with an easy-to-follow procedure in order to get Ubuntu 10.04 working?

Thanks,

Ewan

Martin Pitt (pitti) wrote :

verification-failed was set after the negative testing result in comment 92, but this was done on a different machine type (6510, while this is about 6410). Setting v-done, there were several reports of this working or improving.

tags: added: verification-done
removed: verification-failed

Hi,

I am running Lucid amd64 on a Dell 6410 with Intel Graphics:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

These are my test results:

linux-image-2.6.32-24-generic Version: 2.6.32-24.41
------------------------------------------------------------------
Internal screen working fine

linux-image-2.6.32-24-generic Version: 2.6.32-24.42
------------------------------------------------------------------
Internal screen stays blank on boot

And no, I did not mix up the version numbers. :)

catsdogs (catsdogs) wrote :

My problem is still current - I can only boot into a working X desktop if I add

"i915.modeset=0 xforcevesa" to the grub boot command.

catsdogs (catsdogs) wrote :

My problem is still current - I can only boot into a working X desktop if I add

     "i915.modeset=0 xforcevesa"

to the grub boot command. Sometimes the screen is garbled at the login prompt and I need to CTRL-ALT-F1, login to the shell, restart gdm, then logout again, at which point the screen is legible.

I'm presently trying to manually write an xorg.conf file to allow me to use 1280x800 in vesa, but so far no luck. When I type

     "xandr -q" the output is

            1024x768 0.0*
            800x600 0.0
            640x480 0.0

Any idea as to how I can change the screen resolution?

I can't believe the original issue hasn't been fixed!

Sean Cazzell (seancazzell) wrote :

I have an E6410 i5-520m with Intel integrated graphics, running lucid 32-bit.

2.6.32-24.41 (lucid-updates)
    - blank screen on boot

2.6.32-24.42 (lucid-proposed)
    - blank screen on boot

Has the .42 kernel in lucid-proposed fixed this issue for anyone with an E6410 using the Intel IGP?

James Ferguson (jamesf) wrote :

I'm afraid I have to confirm, kernel from lucid-proposed (2.6.32-24.42) give me blank screen on an Intel UMA graphics E6410

catsdogs (catsdogs) wrote :

Hi all,

I'm presently running the v2.6.35.4-maverick kernel and it's nice to be running again! I cleared everything out of my xorg.conf file, installed the kernel, then it worked - finally.

I can't give any more information about what's wrong - my system is working and that's all I really care about - sorry...

Hope this helps find a cause/solution to the problem.

Ewan

Francisco Cribari (cribari) wrote :

It does not work on my DELL E6510 (processor i7, Intel integrated graphics); kernel 2.6.35-02063504.201008271919 boots to a blank screen.

Francisco Cribari (cribari) wrote :

Good news: I am able to boot into X using the following kernel: 2.6.32-02063221.201008271307 (i.e., linux-image-2.6.32-02063221-generic). Suspend and resume works.

Hardware: DELL E6510, processor i7, Intel integrated graphics.

Corona (stefaniefauconnier) wrote :

On my E6510 (i5, integrated graphics), I can boot into X using the kernel mentioned by Francisco, but resuming from suspend does not work (screen stays black). That's a different issue though.

Francisco Cribari (cribari) wrote :

Corona: For suspend and resume to work I use the following workaround:

-add acpi_sleep=s3_bios to the Grub commandline
-delete /usr/lib/pm-utils/sleep.d/99video and /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler

Source: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/578673?comments=all

catsdogs (catsdogs) wrote :

Dell E6410 (i5, integrated graphics) running the v2.6.35.4-maverick kernel:

   suspend works;
   system boots into X;
   external monitor works well (using DisplayPort and DP-HDMI adapter);
   sound works normally;
   bluetooth works fine;
   wireless works fine (don't know what wireless card is fitted - 6200?)

I will be wary of what updates I install from now on.

Hope this helps,

Ewan

Manuel Carro (mcarro) wrote :

Re. comment #107 (https://bugs.launchpad.net/ubuntu/lucid/+source/xorg/+bug/561802/comments/107), that kernel works for me too. I have a Latitude E6510, Full HD, core i5. But the strange thing is that kernel linux-image-2.6.32-0206322109-generic, produced two hours after the kernel in #107 does _not_ work for me. Any idea of what changed, and why, between these two kernels?

Manuel Carro (mcarro) wrote :

An addition to my previous comment (#111): kernel linux-image-2.6.32-0206322109-generic also freezes when an external display is connected and the display management software tries to detect monitors plugged to the laptop.

Francisco Cribari (cribari) wrote :
Manuel Carro (mcarro) wrote :

Francisco: yes.

Joao Freire (jlmfreire) wrote :

Hi,

After enable the proposed updates, and performing the full updates, the kernel now panics (num and caps lock blinks).
Tried with xforcevesa and i915.modeset=0 and without. All the same results.

Ubuntu 10.04LTS
DELL E6410
Intel video card

Thanks,
Joao Freire

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-24.42

---------------
linux (2.6.32-24.42) lucid-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * (pre-stable) drm/i915: add PANEL_UNLOCK_REGS definition
    - LP: #561802, #578673
  * (pre-stable) drm/i915: make sure eDP panel is turned on
    - LP: #578673
  * (pre-stable) drm/i915: make sure we shut off the panel in eDP configs
    - LP: #578673
 -- Stefan Bader <email address hidden> Thu, 19 Aug 2010 15:20:42 +0200

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Francisco Cribari (cribari) wrote :

I don't know about the people w/ 6410 notebooks, but I am unable to boot to X using kernel 2.6.32-24.42 in my DELL 6510 notebbok (core i7, full HD display, Intel GPU). The kernels that work for me are (i) 2.6.32-02063221.201008271307, and (ii) 2.6.35-020635rc6.

James Ferguson (jamesf) wrote :

Note this the bug for the E6410 UMA graphics, not discrete or E6510. The E6510 and E6410, even both UMA, have distinct hardware configurations and show different behavior, so this bug is only for the 6410.

Melvin (dsmelvin) wrote :

I saw Ubuntu 2.6.32-24.42-generic 2.6.32.15+drm33.5 today and applied it, but I still got a blank screen without using "nomodeset xforcevesa". anyone can tell me how to verify this if I did something wrong? Thanks.

Joao Freire (jlmfreire) wrote :

Hi,

To solve my problem I had to do the following.

1 - Boot with safe mode enabling "xforcevesa i915.modeset=0"
2 - Choose to boot with lower resolution
3 - rename the xorg.conf.safemode to xorg.conf in /etc/X11/
4 - Add the "i915.modeset=0" as a parameter in the normal boot

It does not detect correctly the monitor, but at least boots now.

Ubuntu 10.04LTS
DELL E6410
Intel video card

Thanks,
Joao Freire

As per Joao's comment, the hardware on which I reported the bug still shows a blank, black screen when booting, even with the kernel in -proposed.

I'm reopening because Mathieu (Original reporter) is still experiencing the same issue on the same hardware and we also received many 'not fixed' comments.

Changed in linux (Ubuntu Lucid):
status: Fix Released → In Progress
tags: added: verification-failed
removed: verification-done
Michael Elkins (sigpipe) wrote :

I just wanted to report that I did not see the black screen issue with 2.6.32-24.41, but I do see the black screen with 2.6.32-24.42. My hardware is Dell E6410 with the Intel graphics:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

Francisco Cribari (cribari) wrote :

A relevant question: what changed from 2.6.32-24.41 to 2.6.32-24.42? Also, see comment #111. Those of us who are using a DELL Latitude E6510 (Intel GPU) were able to boot to X w/ a given kernel but not w/ a kernel produced two hours later.

Chris Van Hoof (vanhoof) wrote :

Can those with a E6410 please try 2.6.32-25.43 which is in -proposed right now? There is one fix in particular that I think may help out here that was included in this kernel.

For those with the E6510 it would be nice to know your feedback as well, however this bug has been found to be specific to the 6410 under certain configurations.

--chris

Francisco Cribari (cribari) wrote :

Kernel 2.6.32-25.43 (amd64) boots to a blank screen in my DELL Latitude E6510 (full HD display, core i7, Intel integrated graphics).

Ben Nickell (nickbenj) wrote :

2.6.32-25.43 boots to a text console with no special grub.conf parameters on a Dell E6410 with Intel graphics. However, if I start X, the computer hard locks with an occasional kernel panic (scroll lock and num lock blinking) Maybe this is a different bug.

Hankyone (hankyone) wrote :

2.6.32-25.43 does not work with the nvidia chip. Planning to try on a e6410 with an Intel chip a soon as I can if still required.

Hankyone (hankyone) wrote :

Still black screen on the Intel chip

Francisco Cribari (cribari) wrote :

The D6510 bug is reported here:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/600453

However, it is not getting much response.

Michael Elkins (sigpipe) wrote :

Hardware:
Latitude E6410
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

Kernel:
linux-image-2.6.32-25-generic-pae 2.6.32-25.43

With stock boot params "quiet splash", the backlight comes on, but the screen is black almost immediately after hitting return in grub2. I can hear the GNOME sound when gdm starts up, so the machine is still running, but the screen stays black.

With boot param i915.modeset=0 I can see the kernel message text until X starts, then the screen goes black with the backlight still on, but the kernel panics and I see the two flashing numlock and capslock lights blinking. Machine is unresponsive.

Francisco Cribari (cribari) wrote :

Ubuntu 10.10 beta boots (from CD) to a blank screen. Hardware: DELL E6510, core i7, Intel GPU, full HD display.

Yves Marcoz (yves-marcoz) wrote :

As comment #131, Latitude E6410, Intel Core i5 chipset.
linux-image-2.6.32-25-generic 2.6.32-25.43
Laptop boots fine, except that the screen remains black (backlight is on).

If I plug in a VGA screen before booting, the display comes up on the external screen correctly, but activating both displays in xrandr keeps the laptop screen at black. When using the "Identify outputs" option in the KDE xrandr setting menu, both DP1 and VGA1 labels show on the external screen.

aanno (thomas-pasch) wrote :

As in comment #131 and #133, Latitude E6410, Intel HD Graphics, i7, Bios A05

Tested on 10.10-beta (maverick) kernels:

- 2.6.35-19-generic
- 2.6.35-20-generic
- 2.6.36-020636rc3-generic (from mainline of kernel.ubuntu.com)

Trent J (tucsoncomputer) wrote :

Same issue here Lattitude E6410, Intel HD Graphics, i5 540m, Bios A05.
10.10 beta.
Interestingly I thought it was fixed, updated to newest fixes, (checked boxes for proposed and bleeding edge stuff) both monitors worked and displayed login, then shut down, now back to same problem.

Francisco Cribari (cribari) wrote :

Kernel 2.6.35-20.29~lucid1 also boots to a blank screen. Hardware is DELL 6510, core i7, full HD display, Intel integrated graphics, bios A03.

Don Thompson (vaiodon) wrote :

E6410, i5, HD graphics & BIOS A03
Context: Stock Maverick Meerkat 10.10 beta install booted with external monitor attached
Result: Good, repeat display on external monitor - display geometry as per internal panel. No image on internal panel. However, after leaving the system idle for overnight (with out-of-the-box power mngmt settings), unplugging AC power & immediately restoring it the display on the internal panel appeared.

On E6410, i5, with kernel 2.6.36-rc2 (default configuration) screen is normal and suspend is working as well.

Emil Styrke (emil-styrke) wrote :

I can also report success with linux-image-2.6.35-20-generic-pae 2.6.35-20.29~lucid1 (from kernel-ppa) on E5410, i3. Screen lights up during boot, suspend/resume works and no crash when connecting/disconnecting external monitor.

Hankyone (hankyone) wrote :

I can confirm #138 & #139, 2.6.35-20.29~lucid1 works flawlessly.

Michael Elkins (sigpipe) wrote :

Dell Latitude E6410, Core i5, 4GB
BIOS A03
Intel Graphics (00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02))
Ubuntu 10.04

Kernels:
linux-image-2.6.36-020636rc3-generic_2.6.36-020636rc3
linux-image-2.6.35-20-generic-pae 2.6.35-20.29~lucid1

With stock boot params "quiet splash", the backlight comes on, but the screen is black almost immediately after hitting return in grub2. I can hear the GNOME sound when gdm starts up, so the machine is still running, but the screen stays black.

With boot param i915.modeset=0 I can see the kernel message text until X starts, then the screen goes black with the backlight still on, but the kernel panics and I see the two flashing numlock and capslock lights blinking. Machine is unresponsive.

The only kernel that allows me to boot into X so far is linux-image-2.6.32-21-generic-pae. All newer kernels exhibit the same behavior described above.

Don Thompson (vaiodon) wrote :

Dell Latitude E6410, BIOS A03
(CPU0: Intel(R) Core(TM) i5 CPU M 520 @ 2.40GHz stepping 02)
agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
agpgart-intel 0000:00:00.0: detected 32764K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000

Linux version 2.6.35-20-generic (buildd@berkelium) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #29~lucid1-Ubuntu SMP Tue Sep 7 13:27:10 UTC 2010 (Ubuntu 2.6.35-20.29~lucid1-generic 2.6.35.4)

As per #141, no X graphics on internal panel.

Fn+F8 to switch displays doesn't effect any control over which display is active.
External monitor is detected (but only if plugged in during Linux boot) & X display present on that monitor.
Menu -> System -> Preferences -> Monitors exhibits inconsistent behaviour. After previous reboot it did detect both displays & it was poss to turn "Seiko" panel display on/off - NB only backlight evident. Left panel in off state, power-down, booted again - only external monitor found. Internal not found and backlight off.

From System Testing applet:
The following screens and video modes have been detected on your system:

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
VGA1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 228mm
   1024x768 60.0*+ 75.1
   800x600 75.0 60.3
   640x480 75.0 60.0
   720x400 70.1
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)

aanno (thomas-pasch) wrote :

Vanilla 2.6.36-rc4 (from kernel.org) (partly) fixes this issue (at least on my machine): After switching to a console and back to X11, display is working as expected.

Also see http://lwn.net/Articles/404632/

However, there still seems minor gitches: Before rc4, I used the vesa driver (configured in /etc/X11/xorg.conf) together with 'nomodeset' as work-around. However with rc4, I can't use it with rc4 (blank screen, with and without 'nomodeset').

Francisco Cribari (cribari) wrote :

Kernel 2.6.35-21.30~lucid1 also boots to a blank screen. Hardware is
DELL E6510, core i7, full HD display, Intel GPU, bios A03.

Michael Elkins (sigpipe) wrote :

No change with linux-image-2.6.36-020636rc4-generic_2.6.36-020636rc4.201009130905_i386. E6410/Core i5/IGP still boots to a blank screen. I can blindly switch to virtual console 1 and log it to reboot the computer, so the machine is still up and running.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
newgen (newgen23) wrote :

I can confirm this problem.
Using:
uname -a:
Linux laptop 2.6.35-02063504-generic #201008271919 SMP Fri Aug 27 19:22:15 UTC 2010 x86_64 GNU/Linux
lspci:
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
/etc/issue:
Ubuntu 10.04.1 LTS
Laptop: Latitude E6410

However: The installed kernel was supposed to fix the problem. We have two laptops of the same type. On one laptop, the current kernel (2.6.35-02063504) fixes the problem and the laptop boots into X. On my laptop, it boots and the screen stays blank.
When I connected the hdmi connector with a monitor, I get an X screen on the external monitor as well as on the LCD of the laptop. But after I disabled the hdmi output, there is no way to get the X running properly. From the logs it seems that it boots into X, and switching (in blank screen mode) with ctrl+alt+f1 to console and press ctrl-alt-del reboots the machine. Therefore we assume that the machine is responsive and working, while the screen stays blank. We also evaluate this problem for our department, but since the i915 seems to have the same problem on machines with other hardware and intel grafic cards, this problem remains very important to us.

testing 2.6.36 now...

aanno (thomas-pasch) wrote :

Sorry for being fuzzy about this: Vanilla 2.6.36-rc4 (from kernel.org) will _partly_ fix this. On my Latitude E6510, I (first) see a blank/black screen after booting. I wait for some time (30 seconds), and then switch to a (virtual) console (e.g. with ctrl-alt F2). I still see a blank screen. But now I switch back to X11 (with crtrl-alt F7), and _then_ I could see the login screen...

This is to say: X11 is usable after manual interaction. A

newgen (newgen23) wrote :

I don't want to be rude, but as Manoj Iyer wrote on 2010-08-04:
PLEASE NOTE: THIS BUG IS RELATED TO E6410 ONLY.
So please stop posting about E6510, as this bug is different from the E6410 series.

mike rodent (cscupost) wrote :

Ubuntu newbie with the same prob

Dell Latitude E6410, Core i5, 4GB
BIOS A03
Intel Graphics
trying to install Ubuntu 10.04

I don't really understand all this talk about different kernels ... sorry. Have tried so far multiple permutations to do with editing the boot line (i.e. nomodeset, i915.modeset=1, etc.)

Not yet in a state of despair but my enthusiasm is being pared away. Has anyone with this machine succeeded in installing a previous version of Ubuntu? If so, what version and were there any tweaks you had to make?

Emil Styrke (emil-styrke) wrote :

@Mike: 9.04 worked during the install for me, but then I got random graphics freezes during normal usage (might not be related to this bug). Another workaround that works for me is to use an external display (with 10.04).

mike rodent (cscupost) wrote :

@Emil
Thanks.
I tried with an external monitor once ... complete blackness, not a glimmer. May try again.

Random graphic freezes... hmm. Not encouraging if you want a serious system to finally replace the vileness of MS.

Is this sort of bug (if that's what it is) common with Ubuntu? I'm not clear whether this is the fault of the graphics chip manufacturers or what? Are Intel or Dell just not giving a monkeys whether their new hardware works with Linux? Or are they deliberately complicating things? Or is it somehow the fault of the people who put together Linux?

This is no doubt very naive of me, but aren't graphics chips meant to be designed to work in a sort of degraded mode, using a bog standard set of instructions...? If so, am I to conclude that the Ubuntu designers haven't really catered for this potential need? Or that there is no such simple operating mode with this Intel chip on the Dell machine?

The trouble is, display is SUCH an essential thing. If that goes wrong you are really stuffed from the start. Who should I blame?

Corona (stefaniefauconnier) wrote :

In my experience, this type of bug is extremely uncommon with Ubuntu (I've been using it for more than 2 years now). The problem is that the Intel chips that are in the E6510 are very new, and the Linux kernel developers need to find out how they work by trial and error, because the full specs and the drivers are not released. Sometimes Dell or Intel would help a little bit, but they don't seem to care enough. So don't let this put you off, it's the hardware manufacturers, and certainly not a buggy OS, that are causing these issues.

I have a E6510 with intel gpu, and for me a plain Lucid install (iso downloaded in June or July) worked fine, except for suspend/resume, VGA output and advanced settings for the touchpad (it works fine, but you don't get multitouch).

All these issues are being solved right now. You can have a look at this bug, too: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/600453 .

Installing a new kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/ shouldn't be too difficult, you basically download 3 .deb packages, double-click on them and they should install automatically. When you reboot your computer, the new kernels should be selected automatically, but if they're not you should hold down shift right after the BIOS screen and then select them with the arrow keys. You can always find more detailed instructions by googling "install kernel package deb" or something like that, I think there is lots of information on the Ubuntu wiki pages.

mike rodent (cscupost) wrote :

@Corona
Thanks very much, it's genuinely useful to have these things explained... and I'm reassured to hear that people somewhere are likely to be working on these new chips as we speak.

Just one thing about installing a new kernel: if I haven't been able to install an Ubuntu system at all, how can I install .deb packages? As I understand it you are talking about installing these packages from within a functioning Ubuntu system, right?

So far, 10.04 has not worked at all, as I said, with any of the multiple permutations.

With 9.10 I have managed to get as far as the Desktop with "run before installing"... but then I have found, every time I get there, that what happens is that I click something with the mouse, and as the first thing to run (e.g. "Install Ubuntu" icon), EVERYTHING freezes, mouse keyboard etc. The only thing I can then do is close down the machine.

I'm now going to try with the 10.10 beta!

mike rodent (cscupost) wrote :

wow! Total success with 10.10!

so, to understand the psychology: new chips come out and the boys (and girls) in the backroom get busy with them day and night... FOR THE NEXT RELEASE.

Francisco Cribari (cribari) wrote :

@mike

Are you able to boot to X from the 10.10 beta CD? I have a *similar* machine: DELL 6510, Intel CPU, full HD display. However, 10.10 beta boots (from the CD) to a blank screen. I am running the RC5 2.36 kernel. To get to X (graphical display) at boot time and after resuming from suspending I have to press: CTRL+ALT+F1 and then CTRL+ALT+F7.

PS. See https://bugs.launchpad.net/bugs/600453 .

mike rodent (cscupost) wrote :

@Francisco

If by "X" you mean the standard X-Windows GUI, yes, I simply downloaded the Beta ISO, burned to a CD, installed on the "run without installing"... and installed... then it booted from the hard drive.

I commiserate. Is it possible that there are different versions of the 10.10 Beta? Is it possible that there are significant differences between the E6410 and E6510? Finally, although you say "Intel CPU", perhaps you have a different graphics card: I have the Intel one supplied by Dell. You may have sthg like Nvidia...?

My install is like a dream: already got VirtualBox up and running! And I'm a complete newbie.

Good luck

Francisco Cribari (cribari) wrote :

@mike

1) Sorry, I meant Intel GPU (Intel integrated graphics). No NVIDIA here; it's really Intel. Additionally, my processor is core i7 and my bios is A03.

2) I have been following the discussion in https://bugs.freedesktop.org/show_bug.cgi?id=29278 but I have to say that most technical details there are beyond me.

3) I run the 64 bit Ubuntu. I tried the 64 bit 10.10 beta the day it was released. I tried to boot from the CD using 10.10 but it booted to a blank screen.

4) Are the 6410 and 6510 bugs different ones, or are they, deep down, the same bug?

5) Is this a bug that affects all i5/i7 processors with Intel integrated graphics or only the DELL 6410/6510 notebooks?

Thanks.

mike rodent (cscupost) wrote :

@Francisco

I refer you to entry #152 above which is by someone much more knowledgeable than me.

Incidentally I've just checked and I have BIOS A04... could this be significant? Is it possible to upgrade BIOSs? I wouldn't have a clue about that...

my processor is an i5...

Most likely, I would have thought, the E6510 has a few differences from the E6410.

I am afraid this is a case of the blind leading the blind. Someone else can probably enlighten more than me...

Corona (stefaniefauconnier) wrote :

I'm not an expert at all, I've just done a bit of reading on various websites about these issues...

A couple of knowledgeable people have told me that the E6410 and the E6510 have slightly different hardware, and that seems to be true because patches which work for the E6410 don't work on my E6510 at all.

I'm a 32bit user, and I have little experience with 64bit so I really don't know if this makes a difference for this issue.

I also don't know about other notebooks with i5/i7 processors. I though DELL was the only manufacturer offering these as a default option but I might be wrong.

Mike, I'm glad you got Ubuntu up and running, and that you did not let these issues put you off. Hope you enjoy it as much as I do.

Francisco, I saw that there is a new patch from henk here: https://bugs.freedesktop.org/show_bug.cgi?id=29278 . I'm going to give it a try and I'll let you know if it worked in the E6510 bug.

summary: - [i915] blank screen on Latitude E6410
+ [i915] blank screen on Latitude E6410 (NOT E6510)
description: updated
elow_my@yahoo.com (elow-my) wrote :

Hi All,
I've just recently install Ubuntu 10.04 and am a DELL E6410 user. I am facing the blank screen on Live CD, and post install and found the only way to get it working is to add boot options "nomodeset xforcevesa" which then works fine in X.

I've been following this bug thread with great interest and will try some of the suggestions here, like upgrading to newer kernel.

Also, have a question, what do i lose by running in my current setting with xforcevesa, do i lose some graphic capabilities? At the moment, system is working fine (no hangs) with standard apps like Google, etc.

My system details are:
DELL E6410
Core i5
Intel GMA
4GB RAM

uname -a
Linux 1006-UB 2.6.32-24-generic #39-Ubuntu SMP Wed Jul 28 05:14:15 UTC 2010 x86_64 GNU/Linux

lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 05)

aftertaf (david-wooffindin) wrote :

Hi,

I have a Dell E6410with intel i915 gfx chip.
I have same issue after release of 10.10 kubuntu and updated kernel (2.6.35-22-generic)
Release 10.04.1 did same, as did most recent updates
using 64 bit all the way...

when I specify "nomodeset xforcevesa" by editing grub on boot, I drop to console

without, I boot to black, but when I plug in an external monitor I have a display.

shame we didnt get a workaround into 10.10 release... :/ (not a criticism ;) )
I'm open to test if anyone has any suggestions....

David

aftertaf (david-wooffindin) wrote :
Download full text (3.3 KiB)

New information :
booted up when plugged into Dell docking station, same behaviour as noted in bug (no laptop display, but external working fine)

I also read that creating an xorg.conf and changing the Monitor section to this could help :
Section "Monitor"
        Identifier "Monitor0"
        Option "DPMS"
        HorizSync 30-96
        VertRefresh 50-160
EndSection

I tried this and rebooted PC.... still no laptop monitor display.

I then opened KDE System Settings to see what screens/monitors were discovered or available . HDMI1 and DP1 were both affected to the external monitor.

At this point, with the tool open, I undocked the PC.
This must have tickled something somewhere because my laptop screen became active.
I then replugged back into the docking station, and now I am writing from the Dell in question, with multiple monitor setup. both screens working, as an extended display.

Its not a fix, but its working.... :)

lspci ->>
[code]
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 05)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 05)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
02:00.0 Network controller: Broadcom Corporation BCM43224 802.11a/b/g/n (rev 01)
03:00.0 CardBus bridge: Ricoh Co Ltd Device e476 (rev 02)
03:00.1 SD Host controller: Ricoh Co Ltd Device e822 (rev 03)
03:00.4 FireWire (IEEE 1394): Ricoh Co Ltd Device e832 (rev 03)
3f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
3f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
3f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
3f:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
3f:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
3f:02.3 Host bridge: Intel Corporation ...

Read more...

aftertaf (david-wooffindin) wrote :

correction..
internal screen only comes back when i clip the dell back into the docking station

aftertaf (david-wooffindin) wrote :

and finally (spamming as I go, sorry all :) )

i've just installed from kernel.ubuntu.com kernel version 2.6.36-rc7.

When in docking station, defaults to external monitor.
When disconnected, laptop mode by default... I have a nice working X screen :)

yay !!

aftertaf (david-wooffindin) wrote :

and re-correction . . ;
It's not working systematically....
What I do when I choose the kernel in grub is the following :

I get a message about symbols missing...
and one about the sd card reader...
at this point I hammer Fn + F8, which is to switch external/internal monitor...
I get PPPPPPPPPPPP on each press, then there is a message about i915, at which point my Fn + F8 shows ^P instead...
I continue pressing, the screen goes blank, changes resolution then most of the time the same information reappears.
This is good, my monitor is active.
Sometimes it stays blank, so I power off and try again.

it mostly works.

Now, with a docking station and external monitor, most of the time it displays the normal screen on both monitors.
Sometimes the internal monitor is off, so I press ALT+E when I see KDM is started, to restart X server.
This works.

Is there any more info/tests I can give anyone?

namregzepol (namregzepol) wrote :

Same problem here on a dell e5410 i5 with intel graphics. I'm on Ubuntu 1.10 with kernel 2.6.35-22-generic and i got black screen after installing with alternate. I don't have a docking so i cannot try. I've tried xforcevesa and i915.modeset=0 as kernel parameters in grub with no luck. This way it show me console with an error telling 'failed to get i915 symbols, graphics turbo disabled.

Is the same bug or i must report it in other one? If it's the same, what else can i try?

it seems to be fixed with a kernel patch, that I don't know how to apply...
Waiting for a newer kernel but in the meantime I may try the rc4 that has
the patch (had been removed since...)
david

2010/10/28 namregzepol <email address hidden>

> Same problem here on a dell e5410 i5 with intel graphics. I'm on Ubuntu
> 1.10 with kernel 2.6.35-22-generic and i got black screen after
> installing with alternate. I don't have a docking so i cannot try. I've
> tried xforcevesa and i915.modeset=0 as kernel parameters in grub with no
> luck. This way it show me console with an error telling 'failed to get
> i915 symbols, graphics turbo disabled.
>
> Is the same bug or i must report it in other one? If it's the same, what
> else can i try?
>
> --
> [i915] blank screen on Latitude E6410 (NOT E6510)
> https://bugs.launchpad.net/bugs/561802
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Don Thompson (vaiodon) wrote :

I have been suffering this bug for some time as I've attempted to build my E6410 with Ubuntu & have spun up various iterations of recent releases (10.04, 10.10 beta & now 10.10 release). My most recent attempt to get this E6410 (i5 with Intel gfx) working has resulted in an interesting find & repeatable workaround.

Ubuntu 10.10/AMD64 desktop
Linux 2.6.36-1-generic #7-Ubuntu SMP Thu Oct 21 20:36:01 UTC 2010 x86_64 GNU/Linux
Latest Intel drivers from: https://launchpad.net/~glasen/+archive/intel-driver

With external LCD monitor connected all comes up fine: images on internal panel & external monitor; I can switch between mirrored or extended display modes. If the external monitor is deselected/turned off in the System->Monitors applet all is OK (& through a cold reboot). If the external monitor is powered off the E6410 internal display functions as expected including through a reboot/cold start. Conclusion: everything is fine with external monitor connected whether it's powered or not.

External monitor disconnected - E6410 boots to blank screen. Conclusion: the internal panel is affected by the state of an input on the VGA port. VGA port has only three inputs - optional monitor ID bit on pin 11, serial data line on pin 12 and serial clock line on pin 15.

After checking 15pin hi-density D-SUB VGA port pinouts & tying the few inputs to gnd or 5V I prove that pin 12 (serial data in) pulled high to +5V allows my E6410 to boot with a functioning internal panel. So I've now got an Ubuntu laptop that needs a hardware dongle (15pin D-SUB connector with pin12/SDA pulled to pin 9/+5V).

Next step is to get a DisplayPort cable & check out if the standard connector DisplayPort socket works.

I hope this helps direct some debug to the right resolution.

I have no problem with my Dell E6410 (i5 with Intel gfx) on Ubuntu 10.10 64bits with my own kernel 2.6.36:
http://sensia.homelinux.org/files/linux-image-2.6.36-dell-e6410_46_amd64.deb

Kernel config is here: http://sensia.homelinux.org/files/kernel-E6410-2.6.36-46.conf

It shouldn't work with nvidia card without modification.

namregzepol (namregzepol) wrote :

In my e5410 i'm with proposal updates. As i said before most of the times i got a blank screen, but sometimes i've got gdm. I don't know what triggers the screen to go on or blank.

I hope the explanation help.

aftertaf (david-wooffindin) wrote :

tried RC4 kernel, tried i915 gfx patch...
nothing changed :(

2010/10/29 namregzepol <email address hidden>

> In my e5410 i'm with proposal updates. As i said before most of the
> times i got a blank screen, but sometimes i've got gdm. I don't know
> what triggers the screen to go on or blank.
>
> I hope the explanation help.
>
> --
> [i915] blank screen on Latitude E6410 (NOT E6510)
> https://bugs.launchpad.net/bugs/561802
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Chris Halse Rogers (raof) wrote :

@Don Thompson: Excellent debugging! If you could subscribe to the upstream bug at http://bugs.freedesktop.org/show_bug.cgi?id=29278 and post that, I'm sure Jesse Barnes will be interested in that data point. The only thing that might be useful before doing that is to check that it's not fixed in the drm-intel-next kernel ( http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/ ), as there have been numerous partial fixes accumulating there.

If you'd prefer not to subscribe to the upstream bug, I can forward your results on.

namregzepol (namregzepol) wrote :

I don't see much activity here yet. Is there any solution that i have miss? Has anybody all the information he needs yet?

aftertaf (david-wooffindin) wrote :

try this kernel http://kernel.ubuntu.com
/~kernel-ppa/mainline/drm-intel-next/

2010/11/5 namregzepol <email address hidden>

> I don't see much activity here yet. Is there any solution that i have
> miss? Has anybody all the information he needs yet?
>
> --
> [i915] blank screen on Latitude E6410 (NOT E6510)
> https://bugs.launchpad.net/bugs/561802
> You received this bug notification because you are a direct subscriber
> of the bug.
>

aftertaf (david-wooffindin) wrote :

me too...
only hammering Fn & F8 during boot makes it work

2010/11/8 namregzepol <email address hidden>

> I have downloaded http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-
> intel-next/2010-11-08-maverick/linux-
> image-2.6.36-997-generic_2.6.36-997.201011080905_amd64.deb and installed
> with no luck.
>
> It's still in a blank screen.
>
> --
> [i915] blank screen on Latitude E6410 (NOT E6510)
> https://bugs.launchpad.net/bugs/561802
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Same hardware here: E6410 with intel graphics. Software Ubuntu 10.10 default installation
Tried solution 168 provided by Don Thompson (hardware dongle: connect pin 9 to 12)
Unfortunately, it did not work in any way for me.
What worked is connecting an external monitor.
And we tried connecting through ssh remotely and fired "xrandr" commands with several parameters, and randomly the laptop screen fired up, after which it could be used normally.
Tried to figure out some golden "works-always" sequences/procedures with xrandr, but did not succeed.
Seems to be very random to work with my laptop screen. Makes my Ubuntu 10.10 installation not very useful

Found a strange solution, works for me now a couple of days
After desperate attempts I left my laptop on for a couple of hours. The battery ran out of power.
After connecting it to the main power supply, the screen started up normal!

Later, after some startup changes, the problem was back.
But after temporary removing my battery (complete off power) the screen starts up normal, in correct resolution.
Finally I can use this laptop with Ubuntu 10.10, and I think I can reproduce the solution when I need it in times of trouble.

I did not change any startup settings for a couple of days now, and still it starts up normal.

Hope this helps other.

aftertaf (david-wooffindin) wrote :

can anyone give a status update on this problem ?
or have a patched kernel .deb lying around for us to test?
I havent built a kernel in ages, and i've never patched on before so i'm a bit screwed otherwise . . . :)
david

aftertaf (david-wooffindin) wrote :

about to try the kernel 2.6.32 mentioned in bug 554569
and the 2.6.37.rc2 from ubuntu.kernel.org ....
all good fun :)

aftertaf (david-wooffindin) wrote :

1)
2.6.37rc2 : first boot OK, but hung on plymouth.
I dropped to TTY1, changed the plymouth screen with update-alternatives, to put back the original kubuntu one, restarted kdm and worked.
reboot, NOK : same problem as before : black screen

2)
then tried 2.6.32.11+drm33.2-x201
first boot OK : splash screen works, and on drop to console i see NO ERRORS mentioning i915 symbols etc... so to test with a reboot
second boot OK : splash screen works
only problem now is no Wireless . . . . .

3)
back to .37rc2
first boot : OKish : I set nosplash in boot options, but got a plymouth theme anyway...
Screen flashed black/white a couple of times then X popped up like nothing happened.
drop to TTY shows the intel ips : failed to get i915 symbols, graphics turbo disabled message and drm:ironlake_crtc_disable *ERROR* failed to disable transcoder
reboot....
the flashing happens when plymouth is being "initialised" , whether its on boot up or shutdown
on reboot... flashing again, this time no plymouth shown and no X.... black screen :(
i'm wondering if plymouth is messing with stuff . .. . or being messed with ......
hard reset.....
third boot : same as before :(
fourth boot : set verbose nosplash in boot options...no change !

so, if someone can briefly explain to me how to use the patches much mentioned above.....i'm more than willing ....

CVTECH (cvtech) wrote :
Download full text (3.4 KiB)

I have access to qty3 E6410ATGs with the 1280x800 display (reports itself as "seiko-epson corporation 14"), only one is experiencing this issue and this is after update manager updating from the base Ubuntu 10.04.1 installation with 2.6.32-24 kernel. The machine having troubles is a core5-i540 vs core5-i520 on the other two machines not having troubles.

The symptoms are very similar to post #168. The machine worked fine until updating a couple days ago. Included in the update was update from kernel 2.6.32-24 to 2.6.32-26 but I suspect this is not the issue for reasons I will explain.

I am experiencing similar issues to post #168. At login screen after updates including the 2.6.32-26 kernel the blank screen happens. Plugging in any external monitor (on Dsub 15 pin, or DisplayPort) instantly the internal monitor will come to life. So the workaround is to pick the kernel from Grub, wait for the blank screen which would normally be the login/welcome screen on Ubuntu, quickly plug in a cable (there is about a 5 second window that this works), then unplug the cable and now you can take the laptop and walk around the house like you wanted to in the first place when you bought a laptop. This is very reliable, with about 96 of 100 reboots (hot or cold) able to start the internal display by plugging a monitor cable in (Dsub or Displayport, doesn't matter). The other 4 reboots vary from won't work (maybe took too long to plug) to about 1 in 100 will randomly just boot without needing the cable plug procedure!

 I note also that the monitor must be present but not required to be powered on, an unterminated cable does not have the same effect. So, something in the process sees the presence of a new external monitor connection and this then triggers the internal monitor to come on (at correct resolution) as DP1 and everything is good after that until the next reboot, even after disconnecting the external cable.

I suspect something has changed unrelated to the kernel update. The reason is that the two machines I have that are working fine one is running 2.6.32-24, the other 2.6.32-25. The machine having problems was working fine on 2.6.32-24 and started having issues immediately after the update (via update manager) that included 2.6.32-26 amongst many other things. I removed (via package manager) the 2.6.32-26 kernel image and headers and installed the 2.6.32-25. This did not solve the issue and now even if I boot (from grub) the old previously working 2.6.32-24 or the 2.6.32-25 kernel that works on another machine the same issue happens on the problem machine, even in recovery mode!

I am reasonably familiar with Ubuntu as a user, but no idea how to gather info to track this down. If someone has an idea of a path to follow, then let me know how to compile logs or config files I can gather info from the working (2.6.32-25) vs non-working (2.6.32.-25) machines, only difference being i520 vs i540 processors.

These are live (not development) machines so unfortunately I can't try too much in the way of installing source code and patches but on the third machine if we can come up with a way to replicate the problem, it can be a total sandbox to test anyt...

Read more...

aftertaf (david-wooffindin) wrote :
Download full text (4.1 KiB)

wow :)

i did this in the backwards manner : installed 10.10, which has the problem,
and since downgraded a kernel to 2.6.32.11 which worked fine, but no wifi...

From what I can tell from the forums, there is a kernel patch that fixed
this and that may have been unpatched since......

hoping someone finds and fixes for good.......
david

2010/11/30 CVTECH <email address hidden>

> I have access to qty3 E6410ATGs with the 1280x800 display (reports
> itself as "seiko-epson corporation 14"), only one is experiencing this
> issue and this is after update manager updating from the base Ubuntu
> 10.04.1 installation with 2.6.32-24 kernel. The machine having troubles
> is a core5-i540 vs core5-i520 on the other two machines not having
> troubles.
>
> The symptoms are very similar to post #168. The machine worked fine
> until updating a couple days ago. Included in the update was update from
> kernel 2.6.32-24 to 2.6.32-26 but I suspect this is not the issue for
> reasons I will explain.
>
> I am experiencing similar issues to post #168. At login screen after
> updates including the 2.6.32-26 kernel the blank screen happens.
> Plugging in any external monitor (on Dsub 15 pin, or DisplayPort)
> instantly the internal monitor will come to life. So the workaround is
> to pick the kernel from Grub, wait for the blank screen which would
> normally be the login/welcome screen on Ubuntu, quickly plug in a cable
> (there is about a 5 second window that this works), then unplug the
> cable and now you can take the laptop and walk around the house like you
> wanted to in the first place when you bought a laptop. This is very
> reliable, with about 96 of 100 reboots (hot or cold) able to start the
> internal display by plugging a monitor cable in (Dsub or Displayport,
> doesn't matter). The other 4 reboots vary from won't work (maybe took
> too long to plug) to about 1 in 100 will randomly just boot without
> needing the cable plug procedure!
>
> I note also that the monitor must be present but not required to be
> powered on, an unterminated cable does not have the same effect. So,
> something in the process sees the presence of a new external monitor
> connection and this then triggers the internal monitor to come on (at
> correct resolution) as DP1 and everything is good after that until the
> next reboot, even after disconnecting the external cable.
>
> I suspect something has changed unrelated to the kernel update. The
> reason is that the two machines I have that are working fine one is
> running 2.6.32-24, the other 2.6.32-25. The machine having problems was
> working fine on 2.6.32-24 and started having issues immediately after
> the update (via update manager) that included 2.6.32-26 amongst many
> other things. I removed (via package manager) the 2.6.32-26 kernel image
> and headers and installed the 2.6.32-25. This did not solve the issue
> and now even if I boot (from grub) the old previously working 2.6.32-24
> or the 2.6.32-25 kernel that works on another machine the same issue
> happens on the problem machine, even in recovery mode!
>
> I am reasonably familiar with Ubuntu as a user, but no idea how to
> gather info to track this down. If...

Read more...

partypooper (patrick-monmien) wrote :

Hi there!

Kernel 2.6.37.5-generic that has been released today on kernel-ppa fixes all my issues.

* I can boot without an external monitor and the laptop lcd screen works. Even after a reboot.
* I can boot with an external monitor (attached either via VGA cable or a docking station) and the laptop detects the external monitor fine (although it does not detect it at the correct resolution (monitor is a DELL 24").
Cherry on the top, I tested suspend and resume and it worked.

I have an e6410/i5/intel video card

Looks like I will be able to finally use my laptop.

Could anyone confirm?

Thanks,

Patrick

Mark Buda (hermit) wrote :

Where exactly is this kernel? Apparently I'm incapable of finding it by myself.
--&nbsp;
Mark Buda &lt;<email address hidden>&gt;
I get my monkeys for nothing and my chimps for free.
On Dec 2, 2010 4:41 PM, partypooper &lt;<email address hidden>&gt; wrote:

Kernel 2.6.37.5-generic that has been released today on kernel-ppa fixes

all my issues.

aftertaf (david-wooffindin) wrote :

Patrick / Partypooper:

Where did you get this kernel from exactly?
I can't find it on http://kernel.ubuntu.com/~kernel-ppa/mainline/ ...

Or did you actually get it via apt ? in which case, what is the deb line in your sources.list that gets you this kernel...
I"m also very interested ;)

david

aftertaf (david-wooffindin) wrote :

found it myself.....

deb http://ppa.launchpad.net/kernel-ppa/ppa/ubuntu lucid main

Bear in mind this has been released under the lucid branch, not the maverick
one . . . .

David
About to test

2010/12/2 partypooper <email address hidden>

> Hi there!
>
> Kernel 2.6.37.5-generic that has been released today on kernel-ppa fixes
> all my issues.
>
> * I can boot without an external monitor and the laptop lcd screen works.
> Even after a reboot.
> * I can boot with an external monitor (attached either via VGA cable or a
> docking station) and the laptop detects the external monitor fine (although
> it does not detect it at the correct resolution (monitor is a DELL 24").
> Cherry on the top, I tested suspend and resume and it worked.
>
> I have an e6410/i5/intel video card
>
> Looks like I will be able to finally use my laptop.
>
> Could anyone confirm?
>
> Thanks,
>
> Patrick
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>

CVTECH (cvtech) wrote :

Just an update to post #182, I was able to restore functionality only by reinstalling from the 10.04.1 ISO distribution image that had the 2.6.32-24 kernel.

I used meld to compare my two machines running 2.6.32-25, the one that was broken had been updated to 2.6.32-26 by update manager, then I tried to go back to 2.6.32-25. This left slight differences (0.1 rev) in Xorg and Plymouth that maybe were related to this bug. Anyway, there was no way I could find to get back to the state where the internal monitor would come on without plugging in an external monitor, even under previous kernels linked by grub and the recovery modes.

The version of plymouth on the working machine was 0.8.2-2ubuntu2, the broken was 0.8.2-2ubuntu2.1
the version of Xorg on the working machines was xserver-common 2:1.7.6-2ubuntu7.3 and broken version was 7.4. Similarly grub had slight differences version 1.98-1ubuntu7 to 1.98-1ubuntu8. From what I can tell by reading various wikis, hard to image much else video related other than plymouth and xserver is running at the time the splash screen goes dark after grub menu. Plugging in a monitor during the plymouth splash or the login screen instantly would restore the internal display.

Looking forward to hearing some more test reports of the ppa kernel post and bios fix of previous two posts. I may be able to dedicate one machine to testing later this week.

aftertaf (david-wooffindin) wrote :

i've updated the bios to A06, and am using kernel 2.6.37.x (5/7/8) from
kernel ppa.
From what I can tell, it works fine, but I need to test more...
for now I have working screen when not in docking station, and I have cloned
screen with both displays working when in docking station....
but i need to test more to confirm this isn't just a fluke....
david

2010/12/7 CVTECH <email address hidden>

> Just an update to post #182, I was able to restore functionality only by
> reinstalling from the 10.04.1 ISO distribution image that had the
> 2.6.32-24 kernel.
>
> I used meld to compare my two machines running 2.6.32-25, the one that
> was broken had been updated to 2.6.32-26 by update manager, then I tried
> to go back to 2.6.32-25. This left slight differences (0.1 rev) in Xorg
> and Plymouth that maybe were related to this bug. Anyway, there was no
> way I could find to get back to the state where the internal monitor
> would come on without plugging in an external monitor, even under
> previous kernels linked by grub and the recovery modes.
>
> The version of plymouth on the working machine was 0.8.2-2ubuntu2, the
> broken was 0.8.2-2ubuntu2.1
> the version of Xorg on the working machines was xserver-common
> 2:1.7.6-2ubuntu7.3 and broken version was 7.4. Similarly grub had slight
> differences version 1.98-1ubuntu7 to 1.98-1ubuntu8. From what I can tell by
> reading various wikis, hard to image much else video related other than
> plymouth and xserver is running at the time the splash screen goes dark
> after grub menu. Plugging in a monitor during the plymouth splash or the
> login screen instantly would restore the internal display.
>
> Looking forward to hearing some more test reports of the ppa kernel post
> and bios fix of previous two posts. I may be able to dedicate one
> machine to testing later this week.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>

Philip Aston (philipa) wrote :

@aftertaf: please explain which kernel you are using from the ppa. (To what does "5/7/8" refer?)

I tried 2.6.37-020637rc2, but no joy.

The only kernel I've found that does not suffer from the black screen problem is 2.6.32-21 from the Lucid repository. I tried later versions of that kernel (-25, -26), but they failed too. FWIW, I'm separately using 2.6.32-25 on an e6400 to avoid the black screen after resume issue.

(e6410, Intel i915, A06 BIOS, maverick).

aftertaf (david-wooffindin) wrote :

yep :
2.6.37-5
2.6.37-7
2.6.37-8
from the lucid backports ...
however, it still doesn't work every time (4 tries yesterday before it
booted with screen)

2010/12/12 Philip Aston <email address hidden>

> @aftertaf: please explain which kernel you are using from the ppa. (To
> what does "5/7/8" refer?)
>
> I tried 2.6.37-020637rc2, but no joy.
>
> The only kernel I've found that does not suffer from the black screen
> problem is 2.6.32-21 from the Lucid repository. I tried later versions
> of that kernel (-25, -26), but they failed too. FWIW, I'm separately
> using 2.6.32-25 on an e6400 to avoid the black screen after resume
> issue.
>
> (e6410, Intel i915, A06 BIOS, maverick).
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>

Changed in linux:
importance: Medium → Unknown
status: Confirmed → Fix Released
Mark Russell (marrusl) wrote :

Confirmed to be working on Natty as of Jan 25.

Also confirmed that Maverick works with this kernel from the drm-intel-next PPA:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/linux-image-2.6.38-997-generic_2.6.38-997.201101250912_i386.deb

Now that Natty has 2.6.38 and an updated X stack, I will try to get a restest.

Mark Russell (marrusl) wrote :

What does the above result say about the chances of backporting the fix to Lucid and/or Maverick? Does this suggest that an eventual kernel backport will work? Or will having a new kernel but an older X stack be an issue?

Thanks.

Chris Halse Rogers (raof) wrote :

Backporting the fix as an SRU to the Lucid or Maverick kernels is unlikely to fly, as there's simply been too many patches over too many kernel releases for it to be easy to extract a minimal safe fix.

There should be no problems with using the Natty kernel on an otherwise Lucid or Maverick system, though, and for Lucid at least I think this should be possible with the lts-backport kernels.

I have an E6410 ATG with i7-640M running Maveric with kernel and xorg from
xorg-edgers. The 2.6.38-1 kernel seems to solve all the addressed issues.

Oddbjørn Hansen

2011/2/2 Chris Halse Rogers <email address hidden>

> Backporting the fix as an SRU to the Lucid or Maverick kernels is
> unlikely to fly, as there's simply been too many patches over too many
> kernel releases for it to be easy to extract a minimal safe fix.
>
> There should be no problems with using the Natty kernel on an otherwise
> Lucid or Maverick system, though, and for Lucid at least I think this
> should be possible with the lts-backport kernels.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
...

aftertaf (david-wooffindin) wrote :

Do you have the apt:add link?
On Feb 3, 2011 9:31 AM, "Oddbjørn Hansen" <email address hidden> wrote:
>
> I have an E6410 ATG with i7-640M running Maveric with kernel and xorg from
> xorg-edgers. The 2.6.38-1 kernel seems to solve all the addressed issues.
>
>
> Oddbjørn Hansen
>
>
>
> 2011/2/2 Chris Halse Rogers <email address hidden>
>
> > Backporting the fix as an SRU to the Lucid or Maverick kernels is
> > unlikely to fly, as there's simply been too many patches over too many
> > kernel releases for it to be easy to extract a minimal safe fix.
> >
> > There should be no problems with using the Natty kernel on an otherwise
> > Lucid or Maverick system, though, and for Lucid at least I think this
> > should be possible with the lts-backport kernels.
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> > https://bugs.launchpad.net/bugs/561802
> >
> ...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)

Download full text (5.5 KiB)

Take a look at https://launchpad.net/~xorg-edgers/+archive/ppa

*ppa:xorg-edgers/ppa*

2011/2/3 aftertaf <email address hidden>

> Do you have the apt:add link?
> On Feb 3, 2011 9:31 AM, "Oddbjørn Hansen" <email address hidden>
> wrote:
> >
> > I have an E6410 ATG with i7-640M running Maveric with kernel and xorg
> from
> > xorg-edgers. The 2.6.38-1 kernel seems to solve all the addressed issues.
> >
> >
> > Oddbjørn Hansen
> >
> >
> >
> > 2011/2/2 Chris Halse Rogers <email address hidden>
> >
> > > Backporting the fix as an SRU to the Lucid or Maverick kernels is
> > > unlikely to fly, as there's simply been too many patches over too many
> > > kernel releases for it to be easy to extract a minimal safe fix.
> > >
> > > There should be no problems with using the Natty kernel on an otherwise
> > > Lucid or Maverick system, though, and for Lucid at least I think this
> > > should be possible with the lts-backport kernels.
> > >
> > > --
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > > https://bugs.launchpad.net/bugs/561802
> > >
> > ...
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> > https://bugs.launchpad.net/bugs/561802
> >
> > Title:
> > [i915] blank screen on Latitude E6410 (NOT E6510)
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>
> Status in The Linux Kernel:
> Fix Released
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux” source package in Lucid:
> In Progress
> Status in “linux” source package in Maverick:
> New
>
> Bug description:
> Binary package hint: xorg
>
> NOTE: The E6410 and E6510 have different hardware. There's a bug with
> similar *symptoms* but a *different cause* on E6510+intel hardware,
> which is bug #600453.
>
> During installation, bootup (plymouth) and while inside X, screen
> remains blank. Switching VTs yields no results (screen remains blank).
>
> This was done with today's daily desktop image, amd64: 10.04
> (20100412).
>
> I've been able to isolate the issue to possibly somewhere in
> modesetting with the i915 driver, here are the tested cases:
>
> - Disabling modesetting with 'nomodeset' as a kernel parameter: boot
> messages visible in 'verbose', otherwise nothing on screen, X remains blank.
> - Disabling modesetting with 'i915.modeset=0' as a kernel parameter:
> results in a kernel oops, after briefly showing a simple "text" splash and
> showing corruption of that splash screen. X clearly never comes up,
> caps/scroll/num blink.
> - Disabling modesetting with 'nomodeset' and switching X drivers to
> 'vesa': nothing on screen during boot, up to a working, visible desktop.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: xorg 1:7.5+5ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-20.29-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-20-generic x86_64
> Architecture: amd64
> Date: Mon Apr 12 16:14:04 2010
> DkmsStatus: Error: [Errno 2] No such file or directory
> GdmLog:
> Error: co...

Read more...

Changed in linux:
importance: Unknown → Medium
Andy Whitcroft (apw) wrote :

In the upstream bug Jesse provides a 2.6.38 based backport of an upstream fix. I have pulled this into a Natty kernel. Could those of you affected by the black screen on boot try the kernels below and report back here. The kernels are at the URL below:

    http://people.canonical.com/~apw/lp561802-natty/

Please report back here. Thanks.

Andy Whitcroft (apw) on 2011-02-16
Changed in linux (Ubuntu):
status: Triaged → Incomplete
assignee: nobody → Andy Whitcroft (apw)
Alfe (alfeberlin) wrote :

Andy, I tested the kernel located at http://people.canonical.com/~apw/lp561802-natty/ on my Dell Latitude E6510, 2GB, 64bit, Intel graphics. My distribution is Ubuntu 10.10.

First: Your version seems to be working fine. No issues whatsoever up to now. I'm booting and using it with an external second monitor attached via the display port (resolution: 1600x1200). I will add another report here in some minutes regarding a boot without a second monitor.

I also tested all other kernel versions discussed here which were coming as a .deb package ready for download (i. e. I did not test all patch versions). Before the kernel pointed to by you I was using a .35 kernel. With 2.6.38-997.201102020913 and 2.6.38-997.201102081238 I had stability issues after some minutes (without a second monitor after some hours): X just crashed and I had to relogin. I was under the impression that it had trouble handling X sessions with a lot of stuff going on, maybe memory leaks.

No such issues with the 2.6.38-4-generic_2.6.38-4.31~lp561802v201102162013 now. I tried to crash it by opening about a hundred windows, using fancy Compiz extensively, running flash applications, Youtube videos, 3D applications etc. but to no avail :) Uptime now is 44 minutes and everything seems to be just fine.

Also suspend/resume worked without issues. I did not test hibernate (to disk).

I will check booting without a second monitor now, just to make sure, and report back here.

Alfe

Alfe (alfeberlin) wrote :

Andy,

I rebooted without a second monitor and redid my tests (quickly). No problem found. I attached the second monitor on the fly. Detection worked fine, no issues to report.

What I like most is that I'm now able to suspend/resume the laptop.

Thanks a lot for your effort!

Alfe

Timo Jyrinki (timo-jyrinki) wrote :

The kernel fixes the problem both for one E6410 user and two E6510 users.

Steven Yelton (steveny) wrote :

I can confirm the above kernel fixes my video/suspend issues on my E5610 (I know, NOT E6510). I still have these workarounds in place:

-add acpi_sleep=s3_bios to the Grub commandline
-delete /usr/lib/pm-utils/sleep.d/99video and /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler

I'm not sure if it is needed or recommended, but I'm leaving well enough alone for now.

Andy Whitcroft (apw) on 2011-02-17
Changed in linux (Ubuntu):
status: Incomplete → In Progress

I have been working on a customer case about this exact issue.

I have just asked him to try the natty kernel with 10.10, and will report his findings as soon as possible.

Philip Aston (philipa) wrote :

Kernel at http://people.canonical.com/~apw/lp561802-natty/ works well for me (e6410, Intel i915, A06 BIOS, 64-bit maverick).

One issue: if I suspend and resume with the external display connected, I get intense flickering on both displays. I found I could work around this by turning the laptop display off, switching to a vt and back, then turning the laptop display back on.

Otherwise, I'm very happy. Thanks to all of you who have worked on this.

aftertaf (david-wooffindin) wrote :

I've been using kernel 2.6.38.2 since maybe 3 weeks, and I'm really happy
about the stability with the video.

However, I'm having issues now with the wireless, being really really slow
and dropping out.
Has anyone else had this type of issue ?
david

On 17 February 2011 22:26, Moustafa Chamli <email address hidden>wrote:

> I have been working on a customer case about this exact issue.
>
> I have just asked him to try the natty kernel with 10.10, and will
> report his findings as soon as possible.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>

Andy Whitcroft (apw) wrote :

Ok the commit tested here is now scheduled for application to 2.6.38, in the meantime I am pulling it into the Natty kerenel and it should be in the next upload. Fix Committed. Thanks all for your testing.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Alfe (alfeberlin) wrote :

After testing now for a second day, no stability issues (X crashes) to report (which is a great relief!).

One issue found: I suspended at work with a second monitor attached, then unplugged the second monitor, went home, tried to resume without a second monitor, got a black screen with backlight. Switching to other consoles worked, but switching back to X just restored the black screen. So I could kill and restart my X from another console, so rebooting wasn't necessary, but of course the session was lost.

I can prevent running into this problem by either unplugging the second monitor (and quickly reconfiguring the X for single-display) before suspending or maybe (didn't test this) by attaching another second monitor before resuming, so there is a workaround.

Cheers, Alfe

Jeremy LaCroix (j-jlacroix) wrote :

Hi David, for the wireless speed issue, I reported the following bug:
https://bugzilla.kernel.org/show_bug.cgi?id=29072

Right now I'm seemingly the only one with the problem, so if what happens to me is the same as what happens to you, please add your comments to that bug report, it would help alot.

aftertaf (david-wooffindin) wrote :

I will. Going skiing this evening so May not test soon... but i will.
Le 18 févr. 2011 14:11, "Jeremy LaCroix" <email address hidden> a
écrit :
> Hi David, for the wireless speed issue, I reported the following bug:
> https://bugzilla.kernel.org/show_bug.cgi?id=29072
>
> Right now I'm seemingly the only one with the problem, so if what
> happens to me is the same as what happens to you, please add your
> comments to that bug report, it would help alot.
>
> ** Bug watch added: Linux Kernel Bug Tracker #29072
> http://bugzilla.kernel.org/show_bug.cgi?id=29072
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/561802/+subscribe

Chris Van Hoof (vanhoof) on 2011-02-18
tags: added: hwe-blocker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-5.32

---------------
linux (2.6.38-5.32) natty; urgency=low

  [ Andy Whitcroft ]

  * rebase to mainline 6f576d57f1fa0d6026b495d8746d56d949989161
  * [Config] updateconfigs following rebase to v2.6.38-rc6
  * [Config] enable CONFIG_DMAR
    - LP: #552311

  [ Upstream Kernel Changes ]

  * drm/i915: skip FDI & PCH enabling for DP_A
    - LP: #561802, #600453, #681877

  [ Major Kernel Changes ]

  * rebase from v2.6.38-rc5 to v2.6.38-rc6
    - LP: #718402
    - LP: #719524
    - LP: #721126
    - LP: #719691
    - LP: #722689
    - LP: #722310
 -- Andy Whitcroft <email address hidden> Tue, 22 Feb 2011 13:28:39 +0000

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Michael (michaeljt) wrote :

I see something which looks like the issue described here (E6410 with i915, Maverick 64bits, black screen after resume). Unlike other subscribers this affects me with 2.6.35-27-generic, but *did not affect me* with 2.6.25-22-generic. (I only got the laptop a few days ago, so I didn't try anything in-between.) I am currently running 2.6.25-22-generic which has been successfully suspended and resumed twice since I booted it. Have any other subscribers seen anything similar, or is anyone aware of a ticket that matches what I am seeing better? It would be nice to have an idea of which kernel (and changeset) is responsible, but I don't feel like researching it myself if someone else has before me.

Ludovic (ludovic-aelbrecht) wrote :

So according to comment 211, this bug is fixed as of version 2.6.38-5.32 of the package "linux". I looked around a bit, and the latest build I can find of that package (for amd64) is https://launchpad.net/ubuntu/+source/linux/2.6.38-7.39/+buildjob/2344157.

But all of those .deb files are built for Natty, not for e.g. Ubuntu 10.10 (which is what I'm using). So how can I get this fix on my system:
- Just install them anyway and hope they'll work?
- Wait for a backport of this fix to Ubuntu 10.10? If so, how can I see when (approximately) such a backport will be done?

Thanks,
Ludovic

Michael (michaeljt) wrote :

Or use the backported Lucid packages which might (but that is just a guess on my part) be more tested than the Natty ones.

aftertaf (david-wooffindin) wrote :

Google for kernel ppa ubuntu and apt-get the new debs...
 Le 27 mars 2011 08:06, "Ludovic" <email address hidden> a écrit :
> So according to comment 211, this bug is fixed as of version 2.6.38-5.32
> of the package "linux". I looked around a bit, and the latest build I
> can find of that package (for amd64) is
> https://launchpad.net/ubuntu/+source/linux/2.6.38-7.39/+buildjob/2344157.
>
> But all of those .deb files are built for Natty, not for e.g. Ubuntu 10.10
(which is what I'm using). So how can I get this fix on my system:
> - Just install them anyway and hope they'll work?
> - Wait for a backport of this fix to Ubuntu 10.10? If so, how can I see
when (approximately) such a backport will be done?
>
> Thanks,
> Ludovic
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/561802
>
> Title:
> [i915] blank screen on Latitude E6410 (NOT E6510)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/561802/+subscribe

Changed in linux (Ubuntu Maverick):
status: New → Triaged
importance: Undecided → Medium
Seth Forshee (sforshee) wrote :

I backported the fix from natty to maverick (along with several other things required by the fix). I've posted kernel builds at

http://people.canonical.com/~sforshee/lp681877/

The backport was a little tricky, so I'm not really sure whether it is completely correct or if there's any chance of getting this into a maverick SRU due to the amount of changes required. Testing is appreciated. Please report results back here.

Konstantyn K. (uncombined) wrote :

Hi everybody,
I got Dell Latitude E6410 with Intel HD and Chi Mei Optoelectronics corp. 14 display, and also got all problems described above. Hasn't any luck with resolution on 11.04.
But upgrade to alpha 11.10 oneric resolved mostly all issues. If work fine without nomodeset.
I think Intel 2011Q1 graphics package update which was added to kernel 2.6.39 is a fix for this problem. Even sleep mode works fine.

Only one issue I found in oneric - system goes to black screen under Unity when second monitor connected to VGA port. But same action works normal under KDE.

Has the fix been included into Oneiric's kernel? Just tried the daily build and it still won't activate my screen.

Ayan George (ayan) on 2011-08-31
tags: added: blocks-hwcert-enablement
James M. Leddy (jm-leddy) wrote :

Has anyone running Maveick tried http://people.canonical.com/~sforshee/lp681877/ ? If that works, then we can include this in the Maverick kernel and close this bug out.

Changed in linux (Ubuntu Maverick):
status: Triaged → Incomplete
Bagshot (bagshot2001-2012) wrote :

This problem is also being exhibited on a Dell Latitude X300 laptop (Intel 855GM chipset), standard 10.04 LTS release crashes in GUI applications after coaxing it to boot with i915.modeset=0 and annoyingly I can't run most 12.04 releases due to no PAE support. Would much rather have Gnome 2 10.04 than Lubuntu :(

ki0s (lockakey) wrote :

I have the same issue as all previous posters.
Attempting to install BackTrack5r3 onto a Dell E6410 with Intel Graphics (Model pp27LA)
When attempting to "startx" on a Live USB BT5r3 the monitor goes completely blank.
Kernel panics indicated by consistent flashing blue battery and wifi icons.

I have researched online for the past 3-4 hours and read through the 220 previous comments.
I am fairly new to troubleshooting linux/ubuntu.

So is there a solution to help me with this installation?
I just figured out that I can go into the YUMI liveUSB bootloader and press tab to edit the boot lines for backtrack

I just need to add, "nomodeset" to the end of the line after init.??

Any help very very appreciated!

ki0s (lockakey) wrote :

Ok... So

After about 12 tries I am able to boot into BT5r3 with my DellE6410 intel video card WITH LIT KEYBOARD

i replaced the yumi boot loader from text splash etc. to show only

"nomodeset quiet xforcevesa"

shows errors on boot but very quickly loads into the x and from what I can see supports good resolution.

I am considering just adding this line to the cfg of my yumi loader

Are there other fixes or sudo apt I should run?

Changed in linux (Ubuntu Maverick):
status: Incomplete → Won't Fix
Changed in linux (Ubuntu Lucid):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.